WHENEVER SQLERROR EXIT;

CREATE TABLESPACE OSUSR 
    LOGGING 
    DATAFILE 'OUTSYSTEMS_USERDATA01.dbf' 
    SIZE 50M AUTOEXTEND ON NEXT  10M MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT  AUTO;

CREATE TABLESPACE OSSYS
    LOGGING 
    DATAFILE 'OUTSYSTEMS_SYSTEM01.dbf' 
    SIZE 20M  AUTOEXTEND ON NEXT  10M MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT  AUTO;

CREATE TABLESPACE OSIDX
    LOGGING 
    DATAFILE 'OUTSYSTEMS_INDEXES01.dbf' 
    SIZE 20M  AUTOEXTEND ON NEXT  10M MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT  AUTO;

CREATE TABLESPACE OSLOG
    NOLOGGING 
    DATAFILE 'OUTSYSTEMS_LOGS01.dbf' 
    SIZE 20M  AUTOEXTEND ON NEXT  10M MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT  AUTO;

CREATE USER OSADMIN  PROFILE "DEFAULT" 
    IDENTIFIED BY &osadminpassword DEFAULT TABLESPACE OSUSR
    ACCOUNT UNLOCK;

CREATE USER OSRUNTIME PROFILE "DEFAULT"
	IDENTIFIED BY &osruntimepassword DEFAULT TABLESPACE OSUSR
	ACCOUNT UNLOCK;

CREATE USER OSLOG PROFILE "DEFAULT"
	IDENTIFIED BY &oslogpassword DEFAULT TABLESPACE OSLOG
	ACCOUNT UNLOCK;
	
GRANT CREATE VIEW TO OSADMIN;
GRANT CREATE TABLE TO OSADMIN;
GRANT ALTER SESSION TO OSADMIN;
GRANT CREATE SEQUENCE TO OSADMIN;
GRANT CREATE PROCEDURE TO OSADMIN;
GRANT CREATE TRIGGER TO OSADMIN;

GRANT CREATE SESSION TO OSADMIN;
GRANT CREATE SESSION TO OSLOG;
GRANT CREATE SESSION TO OSRUNTIME;


ALTER USER OSADMIN QUOTA UNLIMITED ON OSUSR;
ALTER USER OSADMIN QUOTA UNLIMITED ON OSSYS;
ALTER USER OSADMIN QUOTA UNLIMITED ON OSIDX;
ALTER USER OSADMIN QUOTA UNLIMITED ON OSLOG;
ALTER USER OSRUNTIME QUOTA UNLIMITED ON OSUSR;
ALTER USER OSRUNTIME QUOTA UNLIMITED ON OSSYS;
ALTER USER OSRUNTIME QUOTA UNLIMITED ON OSIDX;
ALTER USER OSLOG QUOTA UNLIMITED ON OSLOG;

