-- %SCRIPT_VERSION% = "8.0.1.70"
-- %VERSION_UPGRADE% = "3.0.4.0"

WHENEVER SQLERROR EXIT;


CREATE OR REPLACE package oshe_globals as function setidentity(id number) return number; function getidentity return number; end;
/
CREATE OR REPLACE package body oshe_globals as ident number; function setidentity(id number) return number as begin ident := id; return ident; end; function getidentity return number as begin return ident; end; end;
/
CREATE OR REPLACE FUNCTION getdate RETURN TIMESTAMP AS BEGIN RETURN (systimestamp); END;
/

CREATE TABLE OSLOG_PARAMETER(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,VAL VARCHAR2 (250) ) TABLESPACE "OSLOG";
CREATE TABLE OSSYS_BASIC_TYPE(ID VARCHAR2 (50) NOT NULL,NAME VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_ESPACE_ENTITY(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,ENTITY_ID NUMBER (10,0) NOT NULL,READ_ONLY NUMBER (1,0) NOT NULL,MULTITENANT_VIEW NUMBER (1,0) ,NAME VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_ENTITY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_ENTITY BEFORE INSERT ON OSSYS_ESPACE_ENTITY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_ENTITY.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_RECOMPILATION_ERROR_LOG(ID NUMBER (10,0) NOT NULL,OML NUMBER (10,0) ,"TYPE" VARCHAR2 (50) ,MESSAGE VARCHAR2 (1024) ,DETAIL VARCHAR2 (1024) ,MODULE VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_RECOMPILATION_ERROR_LOG MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_RECOMPILATION_ERROR_LOG BEFORE INSERT ON OSSYS_RECOMPILATION_ERROR_LOG FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_RECOMPILATION_ERROR_LOG.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ENTITY(ID NUMBER (10,0) NOT NULL,PHYSICAL_TABLE_NAME VARCHAR2 (2000) ,NAME VARCHAR2 (50) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,MULTITENANT NUMBER (1,0) ,MULTITENANT_VIEW NUMBER (1,0) ,IS_ACTIVE NUMBER (1,0) ,IS_SYSTEM NUMBER (1,0) ,IS_EXTERNAL NUMBER (1,0) ,PRIMARYKEY_SS_KEY VARCHAR2 (50) ,DESCRIPTION VARCHAR2 (2000) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ENTITY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ENTITY BEFORE INSERT ON OSSYS_ENTITY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ENTITY.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_SLOWQUERY(ESPACE NUMBER (10,0) ,QUERY VARCHAR2 (500) ,TM NUMBER (10,0) ,REPORTID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_DEVELOPER_EXTENSION(ID NUMBER (10,0) NOT NULL,DEVELOPER_ID NUMBER (10,0) ,EXTENSION_ID NUMBER (10,0) ,ALLOW_WRITE NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_DEVELOPER_EXTENSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_DEVELOPER_EXTENSION BEFORE INSERT ON OSSYS_DEVELOPER_EXTENSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_DEVELOPER_EXTENSION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE SEQUENCE OSSEQ_PARAMETER2 MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PARAMETER2 BEFORE INSERT ON OSLOG_PARAMETER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PARAMETER2.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_DEPENDENCY(ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER (10,0) NOT NULL,FILENAME VARCHAR2 (256) NOT NULL,FILE_CONTENT BLOB ,LAST_MODIFIED TIMESTAMP ) TABLESPACE "OSSYS" LOB("FILE_CONTENT") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE SEQUENCE OSSEQ_EXTENSION_DEPENDENCY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_DEPENDENCY BEFORE INSERT ON OSSYS_EXTENSION_DEPENDENCY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_DEPENDENCY.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_HOUR("HOUR" NUMBER (10,0) ,DISPLAY VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_ESPACE_VERSION_SIGNATURE(ID NUMBER (10,0) NOT NULL,SIGNATURE CLOB ,SIGNATURE_CRC NUMBER (10,0) ,ESPACE_VERSION_ID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_VERSION_SIGNATURE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_VERSION_SIGNATURE BEFORE INSERT ON OSSYS_ESPACE_VERSION_SIGNATURE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_VERSION_SIGNATURE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_PERSISTENT_LOGIN(ID NUMBER (10,0) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,TERMINAL_TYPE VARCHAR2 (16) ,SECRET VARCHAR2 (50) ,EXPIRES TIMESTAMP ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_PERSISTENT_LOGIN MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PERSISTENT_LOGIN BEFORE INSERT ON OSSYS_PERSISTENT_LOGIN FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PERSISTENT_LOGIN.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,SS_KEY VARCHAR2 (50) NOT NULL,IS_ACTIVE NUMBER (1,0) ,VERSION_NUMBER NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION BEFORE INSERT ON OSSYS_EXTENSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION.nextval) INTO :new.ID FROM dual; END IF; END;
/
ALTER TABLE OSSYS_EXTENSION MODIFY (IS_ACTIVE DEFAULT (1));
ALTER TABLE OSSYS_EXTENSION MODIFY (VERSION_NUMBER DEFAULT (0));
CREATE TABLE OSSYS_DEVELOPER_ESPACE(ID NUMBER (10,0) NOT NULL,DEVELOPER_ID NUMBER (10,0) ,ESPACE_ID NUMBER (10,0) ,READ_ONLY NUMBER (1,0) ,ALLOW_PUBLISH NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_DEVELOPER_ESPACE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_DEVELOPER_ESPACE BEFORE INSERT ON OSSYS_DEVELOPER_ESPACE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_DEVELOPER_ESPACE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_RECOMPILATION_LOG(ID NUMBER (10,0) NOT NULL,DATESTARTED TIMESTAMP ,DATEFINISHED TIMESTAMP ,"BY" NUMBER (10,0) ,VERSION VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_RECOMPILATION_LOG MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_RECOMPILATION_LOG BEFORE INSERT ON OSSYS_RECOMPILATION_LOG FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_RECOMPILATION_LOG.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_PHYSICAL_NUMBER(ID NUMBER (10,0) NOT NULL,PHONE_NUMBER VARCHAR2 (50) ,IS_ACTIVE NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_PHYSICAL_NUMBER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PHYSICAL_NUMBER BEFORE INSERT ON OSSYS_PHYSICAL_NUMBER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PHYSICAL_NUMBER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_SMS_ENTRY(ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (25) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,REGEXP_PATTERN VARCHAR2 (2000) ,IS_ACTIVE NUMBER (1,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,PATTERN VARCHAR2 (2000) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_SMS_ENTRY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_SMS_ENTRY BEFORE INSERT ON OSSYS_SMS_ENTRY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_SMS_ENTRY.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_STRUCT_ATTR(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,DATA_TYPE VARCHAR2 (50) NOT NULL,DEFAULT_VALUE VARCHAR2 (2000) ,LENGTH NUMBER (10,0) ,DECIMALS NUMBER (10,0) ,IS_MANDATORY NUMBER (1,0) NOT NULL,EXTENSION_STRUCT_ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,ORDER_NUM NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_STRUCT_ATTR MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_STRUCT_ATTR BEFORE INSERT ON OSSYS_EXTENSION_STRUCT_ATTR FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_STRUCT_ATTR.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_MSISDN_TENANT(ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) NOT NULL,VIRTUAL_NUMBER_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_MSISDN_TENANT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_MSISDN_TENANT BEFORE INSERT ON OSSYS_MSISDN_TENANT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_MSISDN_TENANT.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ENTITY_ATTR(ID NUMBER (10,0) NOT NULL,ENTITY_ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,SS_KEY VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (50) NOT NULL,LENGTH NUMBER (10,0) ,DECIMALS NUMBER (10,0) ,IS_MANDATORY NUMBER (1,0) NOT NULL,IS_AUTONUMBER NUMBER (1,0) ,DELETE_RULE VARCHAR2 (20) NOT NULL,DEFAULT_LABEL VARCHAR2 (50) NOT NULL,DEFAULT_VALUE VARCHAR2 (2000) ,IS_ACTIVE NUMBER (1,0) ,ORDER_NUM NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ENTITY_ATTR MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ENTITY_ATTR BEFORE INSERT ON OSSYS_ENTITY_ATTR FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ENTITY_ATTR.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_SLOWTIMER(ESPACE NUMBER (10,0) ,TIMER_KEY VARCHAR2 (50) ,AVGTIME NUMBER (37,8) ,COUNT NUMBER (10,0) ,TOTALTIME NUMBER (37,8) ,REPORTID NUMBER (10,0) ,ERRORS NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_CUSTOM_ATTRIBUTE(TENANT_ID NUMBER (10,0) NOT NULL,ID NUMBER (10,0) NOT NULL,ENTITY_ID NUMBER (10,0) ,LABEL VARCHAR2 (50) ,DATA_TYPE VARCHAR2 (50) ,ORDER_NBR NUMBER (10,0) ,IS_ACTIVE NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_CUSTOM_ATTRIBUTE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_CUSTOM_ATTRIBUTE BEFORE INSERT ON OSSYS_CUSTOM_ATTRIBUTE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_CUSTOM_ATTRIBUTE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ESPACE(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (35) NOT NULL,IS_MULTITENANT NUMBER (1,0) NOT NULL,IS_ACTIVE NUMBER (1,0) ,SS_KEY VARCHAR2 (50) NOT NULL,IS_SYSTEM NUMBER (1,0) ,VERSION_ID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE BEFORE INSERT ON OSSYS_ESPACE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_DEVELOPER(ID NUMBER (10,0) NOT NULL,USER_ID NUMBER (10,0) ,ALLOW_NEW_ESPACE NUMBER (1,0) ,ALLOW_EXTENSIONS NUMBER (1,0) ,ALLOW_EXTERNAL_ENTITIES NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_DEVELOPER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_DEVELOPER BEFORE INSERT ON OSSYS_DEVELOPER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_DEVELOPER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ESPACE_CONFIGURATION(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,VAL VARCHAR2 (250) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_CONFIGURATION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_CONFIGURATION BEFORE INSERT ON OSSYS_ESPACE_CONFIGURATION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_CONFIGURATION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_PARAMETER(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,VAL VARCHAR2 (250) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_PARAMETER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PARAMETER BEFORE INSERT ON OSSYS_PARAMETER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PARAMETER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_WEB_REFERENCE(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL,NAME VARCHAR2 (100) NOT NULL,ORIGINAL_NAME VARCHAR2 (100) NOT NULL,URL VARCHAR2 (1000) NOT NULL,EFFECTIVE_URL VARCHAR2 (1000) ,SS_KEY VARCHAR2 (50) NOT NULL,LOG_REQUESTS NUMBER (1,0) ,INTEGRATED_AUTHENTICATION NUMBER (1,0) ,CERTIFICATE_ID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_WEB_REFERENCE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_WEB_REFERENCE BEFORE INSERT ON OSSYS_WEB_REFERENCE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_WEB_REFERENCE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_USER(ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL,CREATION_DATE TIMESTAMP NOT NULL,LAST_LOGIN TIMESTAMP ,NAME VARCHAR2 (50) ,MSISDN VARCHAR2 (20) ,EMAIL VARCHAR2 (50) ,USERNAME VARCHAR2 (16) ,PASSWORD VARCHAR2 (32) ,EXTERNAL_ID VARCHAR2 (16) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_USER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_USER BEFORE INSERT ON OSSYS_USER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_USER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_META_CYCLIC_JOB(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DEFAULT_SCHEDULE VARCHAR2 (1000) NOT NULL,PRIORITY NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,TIMEOUT NUMBER (10,0) NOT NULL,EFFECTIVE_TIMEOUT NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_META_CYCLIC_JOB MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_META_CYCLIC_JOB BEFORE INSERT ON OSSYS_META_CYCLIC_JOB FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_META_CYCLIC_JOB.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_STRUCT(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,EXTENSION_ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_STRUCT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_STRUCT BEFORE INSERT ON OSSYS_EXTENSION_STRUCT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_STRUCT.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_ACTION(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,EXTENSION_ID NUMBER (10,0) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,SS_KEY VARCHAR2 (50) NOT NULL,ICON_FILE NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_ACTION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_ACTION BEFORE INSERT ON OSSYS_EXTENSION_ACTION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_ACTION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_SLOWSQL(ESPACE NUMBER (10,0) ,QUERY VARCHAR2 (500) ,AVGTIME NUMBER (37,8) ,TOTALTIME NUMBER (37,8) ,COUNT NUMBER (10,0) ,REPORTID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_REPORT_SLOWSCREE(ESPACE NUMBER (10,0) ,HITS NUMBER (10,0) ,SCREEN_TYPE VARCHAR2 (50) ,AVG_TIME NUMBER (37,8) ,TOTAL_TIME NUMBER (37,8) ,SCREEN VARCHAR2 (50) ,REPORTID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_REPORT_LINE(ID NUMBER (10,0) NOT NULL,REPORTTYPE VARCHAR2 (20) ,CREATED TIMESTAMP ,STARTDATE TIMESTAMP ,ENDDATE TIMESTAMP ,DAILYUSAGE NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_REPORT_LINE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_REPORT_LINE BEFORE INSERT ON OSSYS_REPORT_LINE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_REPORT_LINE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_HOURLYUSA(ESPACEID NUMBER (10,0) ,REPORTID NUMBER (10,0) ,WEBHITS NUMBER (10,0) ,WAPHITS NUMBER (10,0) ,INBOUNDSMS NUMBER (10,0) ,OUTBOUNDSMS NUMBER (10,0) ,WEBSERVICES NUMBER (10,0) ,ERRORS NUMBER (10,0) ,"HOUR" VARCHAR2 (50) ,SLOWWEBSCREENS NUMBER (10,0) ,SLOWWAPSCREENS NUMBER (10,0) ,TIMERRUNS NUMBER (10,0) ,SLOWTIMERRUNS NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_USER_PERMISSION(ID NUMBER (10,0) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,PERMISSION_AREA_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_USER_PERMISSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_USER_PERMISSION BEFORE INSERT ON OSSYS_USER_PERMISSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_USER_PERMISSION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_SLOWWEBSE(ESPACE NUMBER (10,0) ,NAME VARCHAR2 (1000) ,METHOD VARCHAR2 (50) ,AVGTIME NUMBER (37,8) ,COUNT NUMBER (10,0) ,TOTALTIME NUMBER (37,8) ,REPORTID NUMBER (10,0) ,ERRORS NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_CERTIFICATE(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (100) ,PATH VARCHAR2 (256) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_CERTIFICATE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_CERTIFICATE BEFORE INSERT ON OSSYS_CERTIFICATE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_CERTIFICATE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ESPACE_REFERENCE(ID NUMBER (10,0) NOT NULL,CONSUMER_VERSION_ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,KIND VARCHAR2 (20) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,SIGNATURE CLOB NOT NULL,PRODUCER_NAME VARCHAR2 (50) NOT NULL,PRODUCER_KIND VARCHAR2 (20) NOT NULL,PRODUCER_SS_KEY VARCHAR2 (50) NOT NULL,PUBLISHED_PROD_VERSION_ID NUMBER (10,0) ,PUBLISHED_PROD_VERSION_NUM NUMBER (10,0) NOT NULL,IS_BROKEN NUMBER (1,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_REFERENCE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_REFERENCE BEFORE INSERT ON OSSYS_ESPACE_REFERENCE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_REFERENCE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_TOPERRORS(MESSAGE VARCHAR2 (2000) ,COUNT NUMBER (10,0) ,ESPACE NUMBER (10,0) ,REPORTID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_EXTENSION_STRUCT_ATTR_ST(ID NUMBER (10,0) NOT NULL,ATTRIBUTE_ID NUMBER (10,0) ,STRUCTURE_ID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_STRUCT_ATTR_ST MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_STRUCT_ATTR_ST BEFORE INSERT ON OSSYS_EXTENSION_STRUCT_ATTR_ST FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_STRUCT_ATTR_ST.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_ACTION_PARAM(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,IS_INPUT NUMBER (1,0) NOT NULL,DATA_TYPE VARCHAR2 (50) NOT NULL,ACTION_ID NUMBER (10,0) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,IS_MANDATORY NUMBER (1,0) ,SS_KEY VARCHAR2 (50) NOT NULL,DEFAULT_VALUE VARCHAR2 (2000) ,RECORD_TYPE VARCHAR2 (500) ,ORDER_NUM NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_ACTION_PARAM MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_ACTION_PARAM BEFORE INSERT ON OSSYS_EXTENSION_ACTION_PARAM FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_ACTION_PARAM.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_TYPE(REPORT_TYPE VARCHAR2 (20) NOT NULL) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_REPORT_SU(ID NUMBER (10,0) NOT NULL,OMLCOMPLEXITY NUMBER (10,0) ,ESPACEID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_REPORT_SU MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_REPORT_SU BEFORE INSERT ON OSSYS_REPORT_SU FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_REPORT_SU.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_WEB_SERVICE(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL,NAME VARCHAR2 (100) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,INTERNAL_ACCESS NUMBER (1,0) ,SECURE_CONNECTION NUMBER (1,0) ,INTEGRATED_AUTHENTICATION NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_WEB_SERVICE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_WEB_SERVICE BEFORE INSERT ON OSSYS_WEB_SERVICE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_WEB_SERVICE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_SITE_PROPERTY(ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,SITE_PROPERTY_DEFINITION_ID NUMBER (10,0) NOT NULL,PROPERTY_VALUE VARCHAR2 (2000) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_SITE_PROPERTY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_SITE_PROPERTY BEFORE INSERT ON OSSYS_SITE_PROPERTY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_SITE_PROPERTY.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_PERMISSION_AREA(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,PERSISTENT NUMBER (1,0) NOT NULL,IS_ACTIVE NUMBER (1,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_PERMISSION_AREA MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PERMISSION_AREA BEFORE INSERT ON OSSYS_PERMISSION_AREA FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PERMISSION_AREA.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_REPORT_ESPACEUSA(ESPACEID NUMBER (10,0) ,REPORTID NUMBER (10,0) ,WEBHITS NUMBER (10,0) ,WAPHITS NUMBER (10,0) ,INBOUNDSMS NUMBER (10,0) ,OUTBOUNDSMS NUMBER (10,0) ,WEBSERVICES NUMBER (10,0) ,ERRORS NUMBER (10,0) ,USERLOGINS NUMBER (10,0) ,INBOUNDMSISDN NUMBER (10,0) ,WAPMSISDN NUMBER (10,0) ,ACTIVEUSERS NUMBER (10,0) ,SESSIONS NUMBER (10,0) ,SESSIONDURATION NUMBER (10,0) ,HITSPERSESSION NUMBER (10,0) ,SLOWWEBHITS NUMBER (10,0) ,SLOWWAPHITS NUMBER (10,0) ,TIMERRUNS NUMBER (10,0) ,SLOWTIMERRUNS NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE TABLE OSSYS_VIRTUAL_NUMBER(ID NUMBER (10,0) NOT NULL,PHYSICAL_NUMBER_ID NUMBER (10,0) NOT NULL,USES_TENANT_MSISDN NUMBER (1,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,SMSENTRY_ID NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) ,ORDER_PRIORITY NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_VIRTUAL_NUMBER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_VIRTUAL_NUMBER BEFORE INSERT ON OSSYS_VIRTUAL_NUMBER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_VIRTUAL_NUMBER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_SITE_PROPERTY_DEFINITION(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,SS_KEY VARCHAR2 (50) NOT NULL,NAME VARCHAR2 (50) NOT NULL,DESCRIPTION VARCHAR2 (2000) ,IS_ACTIVE NUMBER (1,0) NOT NULL,DEFAULT_VALUE VARCHAR2 (2000) NOT NULL,DATA_TYPE VARCHAR2 (50) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_SITE_PROPERTY_DEFINITION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_SITE_PROPERTY_DEFINITION BEFORE INSERT ON OSSYS_SITE_PROPERTY_DEFINITION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_SITE_PROPERTY_DEFINITION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_SERVER(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (50) NOT NULL,IP_ADDRESS VARCHAR2 (50) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_SERVER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_SERVER BEFORE INSERT ON OSSYS_SERVER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_SERVER.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ESPACE_EXTENSION(ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_EXTENSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_EXTENSION BEFORE INSERT ON OSSYS_ESPACE_EXTENSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_EXTENSION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_TENANT(ID NUMBER (10,0) NOT NULL,NAME VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,IS_ACTIVE NUMBER (1,0) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_TENANT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_TENANT BEFORE INSERT ON OSSYS_TENANT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_TENANT.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_ESPACE_VERSION(ID NUMBER (10,0) NOT NULL,VERSION NUMBER (10,0) ,OML_FILE BLOB ,UPLOADED_BY NUMBER (10,0) ,UPLOADED_DATE TIMESTAMP ,ESPACE_ID NUMBER (10,0) ,IS_VALID NUMBER (1,0) ,SERVICE_STUDIO_VERSION VARCHAR2 (50) ,VERSION_HISTORY_HASH NUMBER (10,0) ,BASED_ON_PREVIOUS NUMBER (1,0) ,DESCRIPTION VARCHAR2 (2000) ) TABLESPACE "OSSYS" LOB("OML_FILE") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE SEQUENCE OSSEQ_ESPACE_VERSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_VERSION BEFORE INSERT ON OSSYS_ESPACE_VERSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_VERSION.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_EXTENSION_SIGNATURE(ID NUMBER (10,0) NOT NULL,SIGNATURE CLOB ,SIGNATURE_CRC NUMBER (10,0) ,EXTENSION_ID NUMBER (10,0) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_SIGNATURE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_SIGNATURE BEFORE INSERT ON OSSYS_EXTENSION_SIGNATURE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_SIGNATURE.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_PUBLISHING(ID NUMBER (10,0) NOT NULL,VERSION_ID NUMBER (10,0) ,PUBLISHED_BY NUMBER (10,0) ,PUBLISHED_DATE TIMESTAMP ,HUBSERVERVERSION VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_PUBLISHING MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_PUBLISHING BEFORE INSERT ON OSSYS_PUBLISHING FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_PUBLISHING.nextval) INTO :new.ID FROM dual; END IF; END;
/
CREATE TABLE OSSYS_CYCLIC_JOB(ID NUMBER (10,0) NOT NULL,META_CYCLIC_JOB_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,SCHEDULE VARCHAR2 (1000) ,LAST_RUN TIMESTAMP ,NEXT_RUN TIMESTAMP ,LAST_DURATION NUMBER (10,0) ,IS_RUNNING_SINCE TIMESTAMP ,IS_RUNNING_BY VARCHAR2 (50) ) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_CYCLIC_JOB MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_CYCLIC_JOB BEFORE INSERT ON OSSYS_CYCLIC_JOB FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_CYCLIC_JOB.nextval) INTO :new.ID FROM dual; END IF; END;
/

CREATE INDEX OSIDX_OSSYS_CYCLIC_JOB_9TENANT ON OSSYS_CYCLIC_JOB ( TENANT_ID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_DEVELOPER_7USER_ID ON OSSYS_DEVELOPER ( USER_ID ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_ESPACE_4NAME: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_ESPACE_4NAME ON OSSYS_ESPACE ( NAME ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_ESPACE_6SS_KEY: SS_KEY"
CREATE UNIQUE INDEX OSIDX_OSSYS_ESPACE_6SS_KEY ON OSSYS_ESPACE ( SS_KEY ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_ESPACE_CONFIGURATI: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_ESPACE_CONFIGURATI ON OSSYS_ESPACE_CONFIGURATION ( NAME,ESPACE_ID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_ESPACE_VERSION_11U ON OSSYS_ESPACE_VERSION ( UPLOADED_BY ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_ACTION_1 ON OSSYS_EXTENSION_ACTION ( EXTENSION_ID,NAME ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_EXTENSION_ACTION_P: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_ACTION_P ON OSSYS_EXTENSION_ACTION_PARAM ( ACTION_ID,NAME ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_STRUCT_1 ON OSSYS_EXTENSION_STRUCT ( EXTENSION_ID,NAME ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_EXTENSION_STRUCT_A: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_STRUCT_A ON OSSYS_EXTENSION_STRUCT_ATTR ( EXTENSION_STRUCT_ID,NAME ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_META_CYCLIC_JOB_9E: SS_KEY"
CREATE UNIQUE INDEX OSIDX_OSSYS_META_CYCLIC_JOB_9E ON OSSYS_META_CYCLIC_JOB ( ESPACE_ID,SS_KEY ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PARAMETER_4NAME: HOST, NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_PARAMETER_4NAME ON OSSYS_PARAMETER ( NAME ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PERSISTENT_LOGIN_7: TERMINAL_TYPE"
CREATE UNIQUE INDEX OSIDX_OSSYS_PERSISTENT_LOGIN_7 ON OSSYS_PERSISTENT_LOGIN ( USER_ID,TERMINAL_TYPE ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PERSISTENT_LOGIN_9: SECRET, TERMINAL_TYPE"
CREATE UNIQUE INDEX OSIDX_OSSYS_PERSISTENT_LOGIN_9 ON OSSYS_PERSISTENT_LOGIN ( TENANT_ID,SECRET,TERMINAL_TYPE ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PHYSICAL_NUMBER_12: PHONE_NUMBER"
CREATE UNIQUE INDEX OSIDX_OSSYS_PHYSICAL_NUMBER_12 ON OSSYS_PHYSICAL_NUMBER ( PHONE_NUMBER ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_ESPACEUSA_1 ON OSSYS_REPORT_ESPACEUSA ( ESPACEID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_ESPACEUSA_8 ON OSSYS_REPORT_ESPACEUSA ( REPORTID,ESPACEID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_HOURLYUSA_1 ON OSSYS_REPORT_HOURLYUSA ( REPORTID,ESPACEID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_HOURLYUSA_8 ON OSSYS_REPORT_HOURLYUSA ( ESPACEID ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_REPORT_HOUR_4HOUR ON OSSYS_REPORT_HOUR ( "HOUR" ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_REPORT_LINE_9TENAN: REPORTTYPE"
CREATE INDEX OSIDX_OSSYS_REPORT_LINE_9TENAN ON OSSYS_REPORT_LINE ( REPORTTYPE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_LINE_9TEN_1 ON OSSYS_REPORT_LINE ( CREATED ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWQUERY_6 ON OSSYS_REPORT_SLOWQUERY ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWQUERY_8 ON OSSYS_REPORT_SLOWQUERY ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWSCREE_6 ON OSSYS_REPORT_SLOWSCREE ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWSCREE_8 ON OSSYS_REPORT_SLOWSCREE ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWSQL_6ES ON OSSYS_REPORT_SLOWSQL ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWSQL_8RE ON OSSYS_REPORT_SLOWSQL ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWTIMER_6 ON OSSYS_REPORT_SLOWTIMER ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWTIMER_8 ON OSSYS_REPORT_SLOWTIMER ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWWEBSE_6 ON OSSYS_REPORT_SLOWWEBSE ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_SLOWWEBSE_8 ON OSSYS_REPORT_SLOWWEBSE ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_TOPERRORS_6 ON OSSYS_REPORT_TOPERRORS ( ESPACE ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_REPORT_TOPERRORS_8 ON OSSYS_REPORT_TOPERRORS ( REPORTID,ESPACE ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_SITE_PROPERTY_9TEN ON OSSYS_SITE_PROPERTY ( TENANT_ID,SITE_PROPERTY_DEFINITION_ID ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_SITE_PROPERTY_DEFI: SS_KEY"
CREATE UNIQUE INDEX OSIDX_OSSYS_SITE_PROPERTY_DEFI ON OSSYS_SITE_PROPERTY_DEFINITION ( ESPACE_ID,SS_KEY ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_SMS_ENTRY_6SS_KEY_: SS_KEY"
CREATE UNIQUE INDEX OSIDX_OSSYS_SMS_ENTRY_6SS_KEY_ ON OSSYS_SMS_ENTRY ( SS_KEY,ESPACE_ID ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_TENANT_4NAME_9ESPA: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_TENANT_4NAME_9ESPA ON OSSYS_TENANT ( NAME,ESPACE_ID ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_USER_9TENANT_ID_8U: USERNAME"
CREATE INDEX OSIDX_OSSYS_USER_9TENANT_ID_8U ON OSSYS_USER ( TENANT_ID,USERNAME ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_USER_PERMISSION_7U ON OSSYS_USER_PERMISSION ( USER_ID,PERMISSION_AREA_ID,TENANT_ID ) TABLESPACE "OSIDX";
CREATE INDEX OSIDX_OSSYS_USER_PERMISSION__1 ON OSSYS_USER_PERMISSION ( USER_ID ) TABLESPACE "OSIDX";
CREATE UNIQUE INDEX OSIDX_OSSYS_VIRTUAL_NUMBER_9TE ON OSSYS_VIRTUAL_NUMBER ( TENANT_ID,SMSENTRY_ID ) TABLESPACE "OSIDX";

ALTER TABLE OSLOG_PARAMETER ADD ( CONSTRAINT IX_OSLOG_PARAMETER UNIQUE ( Name ) );
ALTER TABLE OSLOG_PARAMETER ADD ( CONSTRAINT PK_OSLOG_PARAMETER PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_BASIC_TYPE ADD ( CONSTRAINT PK_OSSYS_BASIC_TYPE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_CERTIFICATE ADD ( CONSTRAINT PK_OSSYS_CERTIFICATE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_CUSTOM_ATTRIBUTE ADD ( CONSTRAINT PK_OSSYS_CUSTOM_ATTRIBUTE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_CYCLIC_JOB ADD ( CONSTRAINT PK_OSSYS_CYCLIC_JOB PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_DEVELOPER ADD ( CONSTRAINT PK_OSSYS_DEVELOPER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_DEVELOPER_ESPACE ADD ( CONSTRAINT PK_OSSYS_DEVELOPER_ESPACE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_DEVELOPER_EXTENSION ADD ( CONSTRAINT PK_OSSYS_DEVELOPER_EXTENSION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ENTITY ADD ( CONSTRAINT PK_OSSYS_ENTITY PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ENTITY_ATTR ADD ( CONSTRAINT PK_OSSYS_ENTITY_ATTR PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE ADD ( CONSTRAINT PK_OSSYS_ESPACE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_CONFIGURATION ADD ( CONSTRAINT PK_OSSYS_ESPACE_CONFIGURATION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_ENTITY ADD ( CONSTRAINT PK_OSSYS_ESPACE_ENTITY PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_EXTENSION ADD ( CONSTRAINT PK_OSSYS_ESPACE_EXTENSION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD ( CONSTRAINT PK_OSSYS_ESPACE_REFERENCE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_VERSION ADD ( CONSTRAINT PK_OSSYS_ESPACE_VERSION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_ESPACE_VERSION_SIGNATURE ADD ( CONSTRAINT PK_OSSYS_ESPACE_VERSION_SIGNAT PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION ADD ( CONSTRAINT PK_OSSYS_EXTENSION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_ACTION ADD ( CONSTRAINT PK_OSSYS_EXTENSION_ACTION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_ACTION_PARAM ADD ( CONSTRAINT PK_OSSYS_EXTENSION_ACTION_PARA PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_DEPENDENCY ADD ( CONSTRAINT PK_OSSYS_EXTENSION_DEPENDENCY PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_SIGNATURE ADD ( CONSTRAINT PK_OSSYS_EXTENSION_SIGNATURE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_STRUCT ADD ( CONSTRAINT PK_OSSYS_EXTENSION_STRUCTURE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_STRUCT_ATTR ADD ( CONSTRAINT PK_OSSYS_EXTENSION_STRUCT_ATTR PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_EXTENSION_STRUCT_ATTR_ST ADD ( CONSTRAINT PK_OSSYS_EXTENSION_STRUCT_AT_1 PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_META_CYCLIC_JOB ADD ( CONSTRAINT PK_OSSYS_META_CYCLIC_JOB PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_MSISDN_TENANT ADD ( CONSTRAINT PK_OSSYS_MSISDN_TENANT PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_PARAMETER ADD ( CONSTRAINT PK_OSSYS_PARAMETER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_PERMISSION_AREA ADD ( CONSTRAINT PK_OSSYS_PERMISSION_AREA PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_PERSISTENT_LOGIN ADD ( CONSTRAINT PK_OSSYS_PERSISTENT_LOGIN PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_PHYSICAL_NUMBER ADD ( CONSTRAINT PK_OSSYS_PHYSICAL_NUMBER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_PUBLISHING ADD ( CONSTRAINT PK_OSSYS_PUBLISHING PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_RECOMPILATION_ERROR_LOG ADD ( CONSTRAINT PK_OSSYS_RECOMPILATION_ERROR_L PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_RECOMPILATION_LOG ADD ( CONSTRAINT PK_OSSYS_RECOMPILATION_LOG PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_REPORT_LINE ADD ( CONSTRAINT PK_OSSYS_REPORT_LINE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_REPORT_SU ADD ( CONSTRAINT PK_OSSYS_REPORT_SU PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_REPORT_TYPE ADD ( CONSTRAINT PK_OSSYS_REPORT_TYPE PRIMARY KEY ( REPORT_TYPE ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_SERVER ADD ( CONSTRAINT PK_OSSYS_SERVER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_SITE_PROPERTY ADD ( CONSTRAINT PK_OSSYS_SITE_PROPERTY PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_SITE_PROPERTY_DEFINITION ADD ( CONSTRAINT PK_OSSYS_SITE_PROPERTY_DEFINIT PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_SMS_ENTRY ADD ( CONSTRAINT PK_OSSYS_SMS_ENTRY PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_TENANT ADD ( CONSTRAINT PK_OSSYS_TENANT PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_USER ADD ( CONSTRAINT PK_OSSYS_USER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_USER_PERMISSION ADD ( CONSTRAINT PK_OSSYS_USER_PERMISSION PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_VIRTUAL_NUMBER ADD ( CONSTRAINT PK_OSSYS_VIRTUAL_NUMBER PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_WEB_REFERENCE ADD ( CONSTRAINT PK_OSSYS_WEB_REFERENCE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_WEB_SERVICE ADD ( CONSTRAINT PK_OSSYS_WEB_SERVICE PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" ) ;
ALTER TABLE OSSYS_CUSTOM_ATTRIBUTE ADD ( CONSTRAINT OSFRK_OSSYS_CUSTOM_ATTRIBUTE_O FOREIGN KEY ( ENTITY_ID ) REFERENCES OSSYS_ENTITY ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_CYCLIC_JOB ADD ( CONSTRAINT OSFRK_OSSYS_CYCLIC_JOB_OSSYS_M FOREIGN KEY ( META_CYCLIC_JOB_ID ) REFERENCES OSSYS_META_CYCLIC_JOB ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_DEVELOPER_ESPACE ADD ( CONSTRAINT OSFRK_OSSYS_DEVELOPER_ESPACE_1 FOREIGN KEY ( DEVELOPER_ID ) REFERENCES OSSYS_DEVELOPER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_DEVELOPER_ESPACE ADD ( CONSTRAINT OSFRK_OSSYS_DEVELOPER_ESPACE_O FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_DEVELOPER_EXTENSION ADD ( CONSTRAINT OSFRK_OSSYS_DEVELOPER_EXTENSIO FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_DEVELOPER_EXTENSION ADD ( CONSTRAINT OSFRK_OSSYS_DEVELOPER_EXTENS_1 FOREIGN KEY ( DEVELOPER_ID ) REFERENCES OSSYS_DEVELOPER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_DEVELOPER ADD ( CONSTRAINT OSFRK_OSSYS_DEVELOPER_OSSYS_US FOREIGN KEY ( USER_ID ) REFERENCES OSSYS_USER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ENTITY_ATTR ADD ( CONSTRAINT OSFRK_OSSYS_ENTITY_ATTR_OSSYS_ FOREIGN KEY ( ENTITY_ID ) REFERENCES OSSYS_ENTITY ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ENTITY ADD ( CONSTRAINT OSFRK_OSSYS_ENTITY_OSSYS_ESPAC FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_CONFIGURATION ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_CONFIGURATI FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_ENTITY ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_ENTITY_OSSY FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_ENTITY ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_ENTITY_OS_1 FOREIGN KEY ( ENTITY_ID ) REFERENCES OSSYS_ENTITY ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_EXTENSION ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_EXTENSION_1 FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_EXTENSION ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_EXTENSION_O FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_OSSYS_ESPAC FOREIGN KEY ( VERSION_ID ) REFERENCES OSSYS_ESPACE_VERSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_REFERENCE_1 FOREIGN KEY ( PUBLISHED_PROD_VERSION_ID ) REFERENCES OSSYS_ESPACE_VERSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_REFERENCE_O FOREIGN KEY ( CONSUMER_VERSION_ID ) REFERENCES OSSYS_ESPACE_VERSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_VERSION ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_VERSION_OSS FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_VERSION ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_VERSION_O_1 FOREIGN KEY ( UPLOADED_BY ) REFERENCES OSSYS_USER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_ESPACE_VERSION_SIGNATURE ADD ( CONSTRAINT OSFRK_OSSYS_ESPACE_VERSION_SIG FOREIGN KEY ( ESPACE_VERSION_ID ) REFERENCES OSSYS_ESPACE_VERSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_ACTION ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_ACTION_1 FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_ACTION_PARAM ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_ACTION_A FOREIGN KEY ( ACTION_ID ) REFERENCES OSSYS_EXTENSION_ACTION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_ACTION ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_ACTION_O FOREIGN KEY ( ICON_FILE ) REFERENCES OSSYS_EXTENSION_DEPENDENCY ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_DEPENDENCY ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_DEPENDEN FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_SIGNATURE ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_SIGNATUR FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_STRUCT_ATTR ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_STRUCTUR FOREIGN KEY ( EXTENSION_STRUCT_ID ) REFERENCES OSSYS_EXTENSION_STRUCT ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_STRUCT_ATTR_ST ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_STRUCT_1 FOREIGN KEY ( ATTRIBUTE_ID ) REFERENCES OSSYS_EXTENSION_STRUCT_ATTR ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_STRUCT_ATTR_ST ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_STRUCT_A FOREIGN KEY ( STRUCTURE_ID ) REFERENCES OSSYS_EXTENSION_STRUCT ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_EXTENSION_STRUCT ADD ( CONSTRAINT OSFRK_OSSYS_EXTENSION_STRUCT_O FOREIGN KEY ( EXTENSION_ID ) REFERENCES OSSYS_EXTENSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_META_CYCLIC_JOB ADD ( CONSTRAINT OSFRK_OSSYS_META_CYCLIC_JOB_OS FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_MSISDN_TENANT ADD ( CONSTRAINT OSFRK_OSSYS_MSISDN_TENANT_OSSY FOREIGN KEY ( VIRTUAL_NUMBER_ID ) REFERENCES OSSYS_VIRTUAL_NUMBER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_PERMISSION_AREA ADD ( CONSTRAINT OSFRK_OSSYS_PERMISSION_AREA_OS FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_PERSISTENT_LOGIN ADD ( CONSTRAINT OSFRK_OSSYS_PERSISTENT_LOGIN_O FOREIGN KEY ( USER_ID ) REFERENCES OSSYS_USER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_PUBLISHING ADD ( CONSTRAINT OSFRK_OSSYS_PUBLISHING_OSSYS_E FOREIGN KEY ( VERSION_ID ) REFERENCES OSSYS_ESPACE_VERSION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_RECOMPILATION_ERROR_LOG ADD ( CONSTRAINT OSFRK_OSSYS_RECOMPILATION_ERRO FOREIGN KEY ( OML ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_RECOMPILATION_LOG ADD ( CONSTRAINT OSFRK_OSSYS_RECOMPILATION_LOG_ FOREIGN KEY ( "BY" ) REFERENCES OSSYS_USER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_ESPACEUSA ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_ESPACEUSA_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_HOURLYUSA ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_HOURLYUSA_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_LINE ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_LINE_OSSYS_ FOREIGN KEY ( REPORTTYPE ) REFERENCES OSSYS_REPORT_TYPE ( REPORT_TYPE ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWQUERY ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWQUERY_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWSCREE ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWSCREE_1 FOREIGN KEY ( ESPACE ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWSCREE ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWSCREE_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWSQL ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWSQL_OSS FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWTIMER ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWTIMER_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWWEBSE ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWWEBSE_1 FOREIGN KEY ( ESPACE ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_SLOWWEBSE ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_SLOWWEBSE_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_REPORT_TOPERRORS ADD ( CONSTRAINT OSFRK_OSSYS_REPORT_TOPERRORS_O FOREIGN KEY ( REPORTID ) REFERENCES OSSYS_REPORT_LINE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_SITE_PROPERTY_DEFINITION ADD ( CONSTRAINT OSFRK_OSSYS_SITE_PROPERTY_DEFI FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_SITE_PROPERTY ADD ( CONSTRAINT OSFRK_OSSYS_SITE_PROPERTY_OSSY FOREIGN KEY ( SITE_PROPERTY_DEFINITION_ID ) REFERENCES OSSYS_SITE_PROPERTY_DEFINITION ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_SMS_ENTRY ADD ( CONSTRAINT OSFRK_OSSYS_SMS_ENTRY_OSSYS_ES FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_TENANT ADD ( CONSTRAINT OSFRK_OSSYS_TENANT_OSSYS_ESPAC FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_USER_PERMISSION ADD ( CONSTRAINT OSFRK_OSSYS_USER_PERMISSION_OS FOREIGN KEY ( PERMISSION_AREA_ID ) REFERENCES OSSYS_PERMISSION_AREA ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_USER_PERMISSION ADD ( CONSTRAINT OSFRK_OSSYS_USER_PERMISSION__1 FOREIGN KEY ( USER_ID ) REFERENCES OSSYS_USER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_VIRTUAL_NUMBER ADD ( CONSTRAINT OSFRK_OSSYS_VIRTUAL_NUMBER_OSS FOREIGN KEY ( SMSENTRY_ID ) REFERENCES OSSYS_SMS_ENTRY ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_VIRTUAL_NUMBER ADD ( CONSTRAINT OSFRK_OSSYS_VIRTUAL_NUMBER_O_1 FOREIGN KEY ( PHYSICAL_NUMBER_ID ) REFERENCES OSSYS_PHYSICAL_NUMBER ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_WEB_REFERENCE ADD ( CONSTRAINT OSFRK_OSSYS_WEB_REFERENCE_OSSY FOREIGN KEY ( CERTIFICATE_ID ) REFERENCES OSSYS_CERTIFICATE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_WEB_REFERENCE ADD ( CONSTRAINT OSFRK_OSSYS_WEB_REFERENCE_OS_1 FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );
ALTER TABLE OSSYS_WEB_SERVICE ADD ( CONSTRAINT OSFRK_OSSYS_WEB_SERVICE_OSSYS_ FOREIGN KEY ( ESPACE_ID ) REFERENCES OSSYS_ESPACE ( ID ) ON DELETE CASCADE );

grant select,insert,delete,update on OSLOG_PARAMETER to hublog;
grant select,insert,delete,update on OSSYS_PARAMETER to hublog;
grant select,insert,delete,update on OSLOG_PARAMETER to hubruntime;

grant select,insert,delete,update on OSSYS_BASIC_TYPE to hubruntime;
grant select,insert,delete,update on OSSYS_CERTIFICATE to hubruntime;
grant select,insert,delete,update on OSSYS_CUSTOM_ATTRIBUTE to hubruntime;
grant select,insert,delete,update on OSSYS_CYCLIC_JOB to hubruntime;
grant select,insert,delete,update on OSSYS_DEVELOPER to hubruntime;
grant select,insert,delete,update on OSSYS_DEVELOPER_ESPACE to hubruntime;
grant select,insert,delete,update on OSSYS_DEVELOPER_EXTENSION to hubruntime;
grant select,insert,delete,update on OSSYS_ENTITY to hubruntime;
grant select,insert,delete,update on OSSYS_ENTITY_ATTR to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_CONFIGURATION to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_ENTITY to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_EXTENSION to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_REFERENCE to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_VERSION to hubruntime;
grant select,insert,delete,update on OSSYS_ESPACE_VERSION_SIGNATURE to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_ACTION to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_ACTION_PARAM to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_DEPENDENCY to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_SIGNATURE to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_STRUCT to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_STRUCT_ATTR to hubruntime;
grant select,insert,delete,update on OSSYS_EXTENSION_STRUCT_ATTR_ST to hubruntime;
grant select,insert,delete,update on OSSYS_META_CYCLIC_JOB to hubruntime;
grant select,insert,delete,update on OSSYS_MSISDN_TENANT to hubruntime;
grant select,insert,delete,update on OSSYS_PARAMETER to hubruntime;
grant select,insert,delete,update on OSSYS_PERMISSION_AREA to hubruntime;
grant select,insert,delete,update on OSSYS_PERSISTENT_LOGIN to hubruntime;
grant select,insert,delete,update on OSSYS_PHYSICAL_NUMBER to hubruntime;
grant select,insert,delete,update on OSSYS_PUBLISHING to hubruntime;
grant select,insert,delete,update on OSSYS_RECOMPILATION_ERROR_LOG to hubruntime;
grant select,insert,delete,update on OSSYS_RECOMPILATION_LOG to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_ESPACEUSA to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_HOUR to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_HOURLYUSA to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_LINE to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SLOWQUERY to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SLOWSCREE to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SLOWSQL to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SLOWTIMER to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SLOWWEBSE to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_SU to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_TOPERRORS to hubruntime;
grant select,insert,delete,update on OSSYS_REPORT_TYPE to hubruntime;
grant select,insert,delete,update on OSSYS_SERVER to hubruntime;
grant select,insert,delete,update on OSSYS_SITE_PROPERTY to hubruntime;
grant select,insert,delete,update on OSSYS_SITE_PROPERTY_DEFINITION to hubruntime;
grant select,insert,delete,update on OSSYS_SMS_ENTRY to hubruntime;
grant select,insert,delete,update on OSSYS_TENANT to hubruntime;
grant select,insert,delete,update on OSSYS_USER to hubruntime;
grant select,insert,delete,update on OSSYS_USER_PERMISSION to hubruntime;
grant select,insert,delete,update on OSSYS_VIRTUAL_NUMBER to hubruntime;
grant select,insert,delete,update on OSSYS_WEB_REFERENCE to hubruntime;
grant select,insert,delete,update on OSSYS_WEB_SERVICE to hubruntime;

grant execute on getdate to hubruntime;
grant execute on oshe_globals to hubruntime;

insert into ossys_parameter(name,val) values ('lastupgradeversion', '3.000.004.000');
insert into ossys_parameter(name,val) values ('submitseviceurl', 'http://hubedition.outsystems.net/issues/outsystems/submit.asmx');
insert into ossys_parameter(name,val) values ('invalidMessageForPhone', 'Sorry, but the phone %to does not accept the message %message');
insert into ossys_parameter(name,val) values ('smshandlerErrorMessage', 'Sorry, but your message could not be processed. The error has been logged. Please try again.');

-- %VERSION_UPGRADE% = "3.0.5.0"
UPDATE ossys_Entity_Attr SET Is_Mandatory=1 WHERE ossys_Entity_Attr.id in (select ossys_Entity_Attr.id FROM ossys_Entity INNER JOIN ossys_Entity_Attr ON ossys_Entity.PrimaryKey_SS_Key = ossys_Entity_Attr.SS_Key where ossys_Entity_Attr.is_mandatory=0);

-- %VERSION_UPGRADE% = "3.1.1.0"
UPDATE OSSYS_PARAMETER SET VAL='3.001.001.000' WHERE NAME='lastupgradeversion';
--
-- Stored Procedure that drops constraints
--
CREATE OR REPLACE PROCEDURE DROP_REFERENCES(tableFrom IN VARCHAR2, tableTo IN VARCHAR2) AS BEGIN FOR reference IN (SELECT c.table_name tableName, c.constraint_name foreignKeyName FROM all_cons_columns cc, all_constraints p, all_constraints c, all_cons_columns pp WHERE c.table_name = tableFrom AND p.table_name = tableTo AND c.constraint_type = 'R' AND p.owner = c.r_owner AND p.constraint_name = c.r_constraint_name AND cc.owner = c.owner AND cc.constraint_name = c.constraint_name AND cc.table_name = c.table_name AND pp.owner = p.owner AND pp.constraint_name = p.constraint_name AND pp.table_name = p.table_name) LOOP BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ' || reference.tableName || ' DROP CONSTRAINT ' || reference.foreignKeyName; EXCEPTION WHEN OTHERS THEN NULL; END; END LOOP; END;
/
--
-- Drops constraints to old tables regarding extensions - START
--
BEGIN DROP_REFERENCES('OSSYS_ESPACE_REFERENCE', 'OSSYS_ESPACE_VERSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_DEVELOPER_EXTENSION', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_ESPACE_EXTENSION', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_EXTENSION_SIGNATURE', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_EXTENSION_ACTION', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_EXTENSION_STRUCT', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_EXTENSION_DEPENDENCY', 'OSSYS_EXTENSION'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN DROP_REFERENCES('OSSYS_EXTENSION_ACTION', 'OSSYS_EXTENSION_DEPENDENCY'); EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'DROP TRIGGER OSTRG_EXTENSION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'DROP TRIGGER OSTRG_EXTENSION_DEPENDENCY'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_EXTENSION DROP CONSTRAINT PK_OSSYS_EXTENSION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_EXTENSION_DEPENDENCY DROP CONSTRAINT PK_OSSYS_EXTENSION_DEPENDENCY'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
--
-- Drops constraints to old tables regarding extensions - END
--
--
-- Renames old tables regarding extensions - BEGIN
--
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION TO OLD_OSSYS_EXTENSION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_SIGNATURE TO OLD_OSSYS_EXTENSION_SIGNATURE'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_DEPENDENCY TO OLD_OSSYS_EXTENSION_DEPENDENC'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_ACTION TO OLD_OSSYS_EXTENSION_ACTION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_ACTION_PARAM TO OLD_OSSYS_EXTENSION_ACTION_PARAM'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_STRUCT TO OLD_OSSYS_EXTENSION_STRUCT'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_STRUCT_ATTR TO OLD_OSSYS_EXTENSION_STRUCT_ATTR'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'RENAME OSSYS_EXTENSION_STRUCT_ATTR_ST TO OLD_OSSYS_EXTENSION_STRUCT_ATTR_ST'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
--
-- Renames old tables regarding extensions - END
--
--
-- Backs up Extension permissions - BEGIN
--
CREATE TABLE OLD_OSSYS_DEVELOPER_EXTENSION(ID NUMBER(10,0) NOT NULL, DEVELOPER_ID NUMBER(10,0) NULL, EXTENSION_ID NUMBER(10,0) NULL, ALLOW_WRITE NUMBER(1,0)) TABLESPACE "OSSYS";

-- Copies all Extension premissions
BEGIN EXECUTE IMMEDIATE 'INSERT INTO OLD_OSSYS_DEVELOPER_EXTENSION(ID, DEVELOPER_ID, EXTENSION_ID, ALLOW_WRITE) SELECT ID, DEVELOPER_ID, EXTENSION_ID, ALLOW_WRITE FROM OSSYS_DEVELOPER_EXTENSION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
-- Deletes all non active Extension permissions
BEGIN EXECUTE IMMEDIATE 'DELETE FROM OSSYS_DEVELOPER_EXTENSION WHERE OSSYS_DEVELOPER_EXTENSION.EXTENSION_ID IN (SELECT ID FROM OLD_OSSYS_EXTENSION WHERE IS_ACTIVE = 0)'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
--
-- Backs up Extension permissions - END
--
--
-- Backs up Extension references - BEGIN
--
CREATE TABLE OLD_OSSYS_ESPACE_EXTENSION(ID NUMBER(10,0) NOT NULL, ESPACE_ID NUMBER(10,0) NOT NULL, EXTENSION_ID NUMBER(10,0) NOT NULL) TABLESPACE "OSSYS";

-- Copies all Extension references
BEGIN EXECUTE IMMEDIATE 'INSERT INTO OLD_OSSYS_ESPACE_EXTENSION(ID, ESPACE_ID, EXTENSION_ID) SELECT ID, ESPACE_ID, EXTENSION_ID FROM OSSYS_ESPACE_EXTENSION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
-- Deletes all non active Extension references
BEGIN EXECUTE IMMEDIATE 'DELETE FROM OSSYS_ESPACE_EXTENSION WHERE OSSYS_ESPACE_EXTENSION.EXTENSION_ID IN (SELECT ID FROM OLD_OSSYS_EXTENSION WHERE IS_ACTIVE = 0)'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
--
-- Backs up Extension references - END
--
--
-- Inactivates Foreign Entities - BEGIN
--
UPDATE OSSYS_ENTITY SET IS_ACTIVE = 0 WHERE IS_EXTERNAL = 1;
/
--
-- Inactivates Foreign Entities - END
--
--
-- New tables regarding extensions - BEGIN
--
CREATE TABLE OSSYS_EXTENSION(ID NUMBER(10,0) NOT NULL, NAME VARCHAR2(50) NOT NULL, SS_KEY VARCHAR2(50) NOT NULL, IS_SYSTEM NUMBER(1,0) NOT NULL, VERSION_ID NUMBER(10,0) NULL) TABLESPACE "OSSYS";
CREATE TRIGGER OSTRG_EXTENSION BEFORE INSERT ON OSSYS_EXTENSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION.nextval) INTO :new.ID FROM dual; END IF; END;
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_EXTENSION_NAME: NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_NAME ON OSSYS_EXTENSION(NAME) TABLESPACE "OSIDX";
ALTER TABLE OSSYS_EXTENSION ADD (CONSTRAINT PK_OSSYS_EXTENSION PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
/
CREATE TABLE OSSYS_EXTENSION_VERSION(ID NUMBER(10,0) NOT NULL, GENERATION NUMBER(10,0), XIF_FILE BLOB, UPLOADED_BY NUMBER(10,0), UPLOADED_DATE TIMESTAMP, EXTENSION_ID NUMBER(10,0), IS_VALID NUMBER(1,0), XIF_VERSION VARCHAR2(50), TOOL_VERSION VARCHAR2(50), DESCRIPTION VARCHAR2(2000), ACTIONS NUMBER(10,0), ENTITIES NUMBER(10,0), STRUCTURES NUMBER(10,0)) TABLESPACE "OSSYS" LOB("XIF_FILE") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE SEQUENCE OSSEQ_EXTENSION_VERSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_VERSION BEFORE INSERT ON OSSYS_EXTENSION_VERSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_VERSION.nextval) INTO :new.ID FROM dual; END IF; END;
ALTER TABLE OSSYS_EXTENSION_VERSION ADD (CONSTRAINT PK_OSSYS_EXTENSION_VERSION PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
/
CREATE TABLE OSSYS_EXTENSION_VERSION_SIG(ID NUMBER(10,0) NOT NULL, SIGNATURE CLOB, SIGNATURE_CRC NUMBER(10,0), EXTENSION_VERSION_ID NUMBER(10,0)) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EXTENSION_VERSION_SIG MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EXTENSION_VERSION_SIG BEFORE INSERT ON OSSYS_EXTENSION_VERSION_SIG FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_VERSION_SIG.nextval) INTO :new.ID FROM dual; END IF; END;
CREATE UNIQUE INDEX OSIDX_OSSYS_EXTENSION_VERSION1 ON OSSYS_EXTENSION_VERSION_SIG(EXTENSION_VERSION_ID) TABLESPACE "OSIDX";
ALTER TABLE OSSYS_EXTENSION_VERSION_SIG ADD (CONSTRAINT PK_OSSYS_EXTENSION_VERSION_SIG PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
/
CREATE TABLE OSSYS_EXTENSION_DEPENDENCY(ID NUMBER(10,0) NOT NULL, EXTENSION_ID NUMBER(10,0) NOT NULL, FILENAME VARCHAR2(256) NOT NULL, FILE_CONTENT BLOB NULL, LAST_MODIFIED TIMESTAMP NULL, SS_KEY VARCHAR2(50) NULL, DESCRIPTION VARCHAR2(2000) NULL, COMPILE_ACTION VARCHAR2(50) NULL, PATH VARCHAR2(2000) NULL) LOB("FILE_CONTENT") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE TRIGGER OSTRG_EXTENSION_DEPENDENCY BEFORE INSERT ON OSSYS_EXTENSION_DEPENDENCY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EXTENSION_DEPENDENCY.nextval) INTO :new.ID FROM dual; END IF; END;
ALTER TABLE OSSYS_EXTENSION_DEPENDENCY ADD (CONSTRAINT PK_OSSYS_EXTENSION_DEPENDENCY PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
/
-- Entities references to owner Extension
ALTER TABLE OSSYS_ENTITY ADD EXTENSION_ID NUMBER(10,0) NULL;
ALTER TABLE OSSYS_ENTITY MODIFY ESPACE_ID NUMBER(10,0) NULL;

-- 
-- New tables regarding extensions - END
--
--
-- Updates Extensions data - BEGIN
--
ALTER TRIGGER OSTRG_EXTENSION DISABLE;
INSERT INTO OSSYS_EXTENSION(ID, NAME, SS_KEY, IS_SYSTEM) SELECT ID, NAME, SS_KEY, 0 FROM OLD_OSSYS_EXTENSION WHERE IS_ACTIVE = 1;
ALTER TRIGGER OSTRG_EXTENSION ENABLE;
--
-- Updates Extensions data - END
--
--
-- Permissions to new tables - BEGIN
--
GRANT SELECT, INSERT, DELETE, UPDATE ON OSSYS_EXTENSION TO hubruntime;
GRANT SELECT, INSERT, DELETE, UPDATE ON OSSYS_EXTENSION_VERSION TO hubruntime;
GRANT SELECT, INSERT, DELETE, UPDATE ON OSSYS_EXTENSION_VERSION_SIG TO hubruntime;
GRANT SELECT, INSERT, DELETE, UPDATE ON OSSYS_EXTENSION_DEPENDENCY TO hubruntime;
--
-- Permissions to new tables - END
--


-- %VERSION_UPGRADE% = "3.1.2.0"

ALTER TABLE OSSYS_ENTITY ADD GENERATION NUMBER(10,0) DEFAULT -1;
DROP INDEX OSIDX_OSSYS_USER_9TENANT_ID_8U;
alter table ossys_user modify (username varchar2(50));
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_USER_9TENANT_ID_8U: USERNAME"
CREATE INDEX OSIDX_OSSYS_USER_9TENANT_ID_8U ON OSSYS_USER ( TENANT_ID,USERNAME ) TABLESPACE "OSIDX";
--
-- support for local parameters
--

DROP INDEX OSIDX_OSSYS_PARAMETER_4NAME;
ALTER TABLE OSSYS_PARAMETER ADD HOST VARCHAR2 (50);
ALTER TABLE OSSYS_PARAMETER MODIFY NAME VARCHAR2 (100);
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PARAMETER_4NAME: HOST, NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_PARAMETER_4NAME ON OSSYS_PARAMETER ( NAME, HOST ) TABLESPACE "OSIDX";

UPDATE OSSYS_PARAMETER SET VAL='3.001.002.002' WHERE NAME='lastupgradeversion';

-- %VERSION_UPGRADE% = "3.1.3.0"
UPDATE OSSYS_PARAMETER SET VAL='3.001.002.003' WHERE NAME='lastupgradeversion';
-- date format parameters
INSERT INTO OSSYS_PARAMETER (name,val) VALUES ('dateFormat', 'yyyy-MM-dd'); 

-- %VERSION_UPGRADE% = "3.2.1.0"

UPDATE OSSYS_PARAMETER SET VAL='3.002.001.000' WHERE NAME='lastupgradeversion';

--
-- Create/update parameters
--

UPDATE OSSYS_PARAMETER SET VAL='3.002.001.001' WHERE NAME='lastupgradeversion';
INSERT INTO OSSYS_PARAMETER (NAME, VAL) VALUES ('DoSecurityBootstrap', 'true');
INSERT INTO OSSYS_PARAMETER (NAME, VAL) VALUES ('AddSeedDataOnBootstrap', 'true');
/
ALTER TABLE ossys_Publishing ADD DEBUG_MODE NUMBER (1,0);
/

--
-- new object level security configuration 
--

-- Alter Developer to make User_Id optional
-- This already happens in every Oracle Database only the older SQL Server have NOT NULL set

-- Extensions
-- allow_write = false will be granted "3_Download"
-- allow_write = true will be granted "4_Publish"
ALTER TABLE OSSYS_DEVELOPER_EXTENSION ADD SECURITY_LEVEL NUMBER(10,0);

UPDATE OSSYS_DEVELOPER_EXTENSION SET SECURITY_LEVEL=3 WHERE ALLOW_WRITE=0;
UPDATE OSSYS_DEVELOPER_EXTENSION SET SECURITY_LEVEL=4 WHERE ALLOW_WRITE=1;
/
ALTER TABLE OSSYS_DEVELOPER_EXTENSION DROP COLUMN ALLOW_WRITE;

-- eSpaces
-- read_only attribute will be ignored
-- allow_publish = false will be granted "3_Download"
-- allow_publish = true will be granted "4_Publish"
ALTER TABLE OSSYS_DEVELOPER_ESPACE ADD SECURITY_LEVEL NUMBER(10,0);

UPDATE OSSYS_DEVELOPER_ESPACE SET SECURITY_LEVEL=3 WHERE ALLOW_PUBLISH=0;
UPDATE OSSYS_DEVELOPER_ESPACE SET SECURITY_LEVEL=4 WHERE ALLOW_PUBLISH=1;
/
ALTER TABLE OSSYS_DEVELOPER_ESPACE DROP COLUMN READ_ONLY;
ALTER TABLE OSSYS_DEVELOPER_ESPACE DROP COLUMN ALLOW_PUBLISH;

UPDATE OSSYS_PARAMETER SET VAL='3.002.001.002' WHERE NAME='lastupgradeversion'; 
/
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD MISSING_STATUS NUMBER (1,0) NULL

UPDATE OSSYS_PARAMETER SET VAL='3.002.001.003' WHERE NAME='lastupgradeversion'; 
/
UPDATE OSSYS_PARAMETER SET VAL='3.002.001.004' WHERE NAME='lastupgradeversion'; 
/
ALTER TABLE OSSYS_ESPACE_VERSION ADD LAST_UPGRADE_VERSION VARCHAR2(50);
ALTER TABLE OSSYS_ESPACE_VERSION ADD PUBLISHING_ID NUMBER(10,0);
/
UPDATE OSSYS_PARAMETER SET VAL='3.002.001.005' WHERE NAME='lastupgradeversion'; 
/
CREATE TABLE OSSYS_ESPACE_HASHSET(ID NUMBER(10,0) NOT NULL, ESPACE_VERSION_ID NUMBER(10,0), HASHSET CLOB) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_HASHSET MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_HASHSET BEFORE INSERT ON OSSYS_ESPACE_HASHSET FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_HASHSET.nextval) INTO :new.ID FROM dual; END IF; END;
/
grant select,insert,delete,update on OSSYS_ESPACE_HASHSET to hubruntime;

ALTER TABLE OSSYS_ESPACE ADD IS_CONSISTENT NUMBER(1,0) DEFAULT 0;

UPDATE OSSYS_PARAMETER SET VAL='3.002.001.006' WHERE NAME='lastupgradeversion'; 
/
UPDATE OSSYS_PARAMETER SET VAL='3.002.001.007' WHERE NAME='lastupgradeversion'; 
/
UPDATE OSSYS_PARAMETER SET VAL='3.002.001.008' WHERE NAME='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "3.2.1.12"
UPDATE OSSYS_PARAMETER SET VAL='3.002.001.009' WHERE NAME='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "3.2.1.30"
UPDATE ossys_Site_Property_Definition SET DEFAULT_VALUE = REPLACE(DEFAULT_VALUE,',','.') WHERE DATA_TYPE = 'rtDecimal';
/
UPDATE (SELECT * FROM ossys_Site_Property_Definition NATURAL INNER JOIN ossys_Site_Property WHERE ossys_Site_property_definition.DATA_TYPE = 'rtDecimal') SET PROPERTY_VALUE = REPLACE(PROPERTY_VALUE,',','.');   
/
-- %VERSION_UPGRADE% = "3.2.1.34"
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_ESPACE_REF58771: PRODUCER_SS_KEY"
CREATE INDEX OSIDX_OSSYS_ESPACE_REF58771 ON OSSYS_ESPACE_REFERENCE (CONSUMER_VERSION_ID, PRODUCER_SS_KEY) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_ESPACE_REF51593: PRODUCER_SS_KEY"
CREATE INDEX OSIDX_OSSYS_ESPACE_REF51593 ON OSSYS_ESPACE_REFERENCE (PRODUCER_SS_KEY) TABLESPACE "OSIDX";
-- %VERSION_UPGRADE% = "4.0.1.0"
UPDATE OSSYS_PARAMETER SET VAL='4.000.001.000' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.000' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.001' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.002' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.003' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.004' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.005' WHERE NAME='lastupgradeversion';
/
ALTER TABLE OSSYS_ESPACE_VERSION DROP COLUMN VERSION_HISTORY_HASH cascade constraints;
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.006' WHERE NAME='lastupgradeversion';
/
ALTER TABLE OSSYS_EXTENSION_VERSION ADD HASH VARCHAR2(1000);
ALTER TABLE OSSYS_ESPACE_VERSION ADD HASH VARCHAR2(1000);
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.007' WHERE NAME='lastupgradeversion';
/
ALTER TABLE OSSYS_EXTENSION ADD IS_ACTIVE NUMBER (1,0) DEFAULT(0) NULL;
/
UPDATE OSSYS_EXTENSION SET IS_ACTIVE='1';
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.008' WHERE NAME='lastupgradeversion';
DELETE FROM OSSYS_PARAMETER WHERE NAME='DoSecurityBootstrap';
DELETE FROM OSSYS_PARAMETER WHERE NAME='AddSeedDataOnBootstrap';
/
ALTER TABLE OSSYS_EXTENSION_VERSION ADD LAST_MODIFIED TIMESTAMP;
ALTER TABLE OSSYS_ESPACE_VERSION ADD LAST_MODIFIED TIMESTAMP;
/
UPDATE OSSYS_EXTENSION_VERSION SET LAST_MODIFIED = UPLOADED_DATE;
UPDATE OSSYS_ESPACE_VERSION SET LAST_MODIFIED = UPLOADED_DATE;
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.009' WHERE NAME='lastupgradeversion';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.010' WHERE NAME='lastupgradeversion';
/
BEGIN EXECUTE IMMEDIATE 'DROP TABLE OSSYS_ACTIVATION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'DROP SEQUENCE OSSEQ_ACTIVATION'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
CREATE TABLE OSSYS_ACTIVATION(ID NUMBER(10,0) NOT NULL, INFO VARCHAR2(100) NULL, HOST VARCHAR2(100) NULL, BINARY_DATA BLOB NULL, "TEXT" VARCHAR2(1000) NULL) TABLESPACE "OSSYS";
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_ACTIVATION TO hubruntime;
ALTER TABLE OSSYS_ACTIVATION ADD (CONSTRAINT PK_OSSYS_ACTIVATION PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
CREATE SEQUENCE OSSEQ_ACTIVATION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ACTIVATION BEFORE INSERT ON OSSYS_ACTIVATION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ACTIVATION.nextval) INTO :new.ID FROM dual; END IF; END;
/
INSERT INTO OSSYS_ACTIVATION(INFO) VALUES('Server Mode');
UPDATE OSSYS_ACTIVATION SET "TEXT" = (SELECT SP.Property_Value FROM ossys_Site_Property_Definition SPD, ossys_Site_Property SP, ossys_Espace Espace, ossys_Tenant Tenant WHERE SPD.Name = 'InstallationKind' AND Tenant.Name = 'ServiceCenter' AND Espace.Name = 'ServiceCenter' AND SPD.espace_id = espace.id AND SPD.id = SP.Site_Property_Definition_Id AND SP.Tenant_Id = Tenant.Id) WHERE INFO = 'Server Mode';
/
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.011' WHERE NAME='lastupgradeversion';
/
-- %VERSION_UPGRADE% = "4.0.1.3"
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.012' WHERE NAME='lastupgradeversion';
/
-- %VERSION_UPGRADE% = "4.0.1.5"
UPDATE OSSYS_PARAMETER SET VAL='4.000.002.013' WHERE NAME='lastupgradeversion';

-- if server is in development mode insert enabledebug=true for all espaces that don't have a value for enable debug
INSERT INTO OSSYS_ESPACE_CONFIGURATION (ESPACE_ID, NAME, VAL) SELECT OSSYS_ESPACE.ID, 'EnableDebug', 'True' FROM OSSYS_ESPACE INNER JOIN OSSYS_ACTIVATION ON INFO='Server Mode' AND "TEXT"='Development' WHERE IS_ACTIVE=1 AND OSSYS_ESPACE.ID NOT IN (SELECT ESPACE_ID FROM OSSYS_ESPACE_CONFIGURATION WHERE NAME='EnableDebug');
/
-- %VERSION_UPGRADE% = "4.1.0.0"
UPDATE OSSYS_PARAMETER SET VAL='4.001.000.000' WHERE NAME='lastupgradeversion';
/ 
-- %VERSION_UPGRADE% = "4.1.0.1"
UPDATE OSSYS_PARAMETER SET VAL='4.001.000.001' WHERE NAME='lastupgradeversion';
/ 
-- %VERSION_UPGRADE% = "4.1.1.0"
UPDATE OSSYS_PARAMETER SET VAL='4.001.001.000' WHERE NAME='lastupgradeversion';
/ 
-- %VERSION_UPGRADE% = "4.1.1.1"
ALTER TABLE OSSYS_EXTENSION_VERSION DROP COLUMN ACTIONS;
ALTER TABLE OSSYS_EXTENSION_VERSION DROP COLUMN STRUCTURES;
ALTER TABLE OSSYS_EXTENSION_VERSION DROP COLUMN ENTITIES;
UPDATE OSSYS_PARAMETER SET VAL='4.001.001.001' WHERE NAME='lastupgradeversion';
/ 
-- %VERSION_UPGRADE% = "4.1.1.2"
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_EXTENSION DROP COLUMN PUBLISHED_DATE'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
ALTER TABLE OSSYS_EXTENSION ADD PUBLISHED_DATE TIMESTAMP;
/
UPDATE OSSYS_EXTENSION SET PUBLISHED_DATE = (SELECT V.UPLOADED_DATE FROM OSSYS_EXTENSION_VERSION V WHERE V.ID = OSSYS_EXTENSION.VERSION_ID);
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_EXTENSION DROP COLUMN PUBLISHED_BY'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
ALTER TABLE OSSYS_EXTENSION ADD PUBLISHED_BY NUMBER (10,0);
/
UPDATE OSSYS_EXTENSION SET PUBLISHED_BY = (SELECT V.UPLOADED_BY FROM OSSYS_EXTENSION_VERSION V WHERE V.ID = OSSYS_EXTENSION.VERSION_ID);
/
ALTER TABLE OSSYS_ESPACE ADD ZONE_ID NUMBER(10,0) NULL;
/
CREATE TABLE OSSYS_ZONE(ID NUMBER(10,0) NOT NULL, NAME VARCHAR2(50) NOT NULL) TABLESPACE "OSSYS";
/
CREATE SEQUENCE OSSEQ_ZONE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
/
CREATE TRIGGER OSTRG_ZONE BEFORE INSERT ON OSSYS_ZONE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ZONE.nextval) INTO :new.ID FROM dual; END IF; END;
/
ALTER TABLE OSSYS_ZONE ADD (CONSTRAINT PK_OSSYS_ZONE PRIMARY KEY (ID) USING INDEX TABLESPACE "OSIDX");
/
CREATE TABLE OSSYS_ZONE_SERVER(ID NUMBER(10,0) NOT NULL,ZONE_ID NUMBER(10,0) NOT NULL,SERVER_ID NUMBER(10,0) NOT NULL) TABLESPACE "OSSYS";
/
CREATE SEQUENCE OSSEQ_ZONE_SERVER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
/
ALTER TABLE OSSYS_ZONE_SERVER ADD ( CONSTRAINT OSFRK_OSSYS_ZONE_SERVER_O FOREIGN KEY ( SERVER_ID ) REFERENCES OSSYS_SERVER ( ID ) ON DELETE CASCADE );
/
ALTER TABLE OSSYS_ZONE_SERVER ADD ( CONSTRAINT OSFRK_OSSYS_ZONE_SERVER_O2 FOREIGN KEY ( ZONE_ID ) REFERENCES OSSYS_ZONE ( ID ) ON DELETE CASCADE );
/
grant select,insert,delete,update on OSSYS_ZONE_SERVER to hubruntime;
grant select,insert,delete,update on OSSYS_ZONE to hubruntime;
grant select,insert,delete,update on OSSYS_ZONE_SERVER to hublog;
grant select,insert,delete,update on OSSYS_ZONE to hublog;
/
UPDATE OSSYS_PARAMETER SET VAL='4.001.001.002' WHERE NAME='lastupgradeversion';
/
-- %VERSION_UPGRADE% = "4.1.2.0"
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DEVELOPER RENAME COLUMN VIEW_SU TO VIEW_LICENSING_REPORTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
UPDATE OSSYS_PARAMETER SET VAL='4.001.002.000' WHERE NAME='lastupgradeversion';
/
-- %VERSION_UPGRADE% = "4.1.2.1"
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DEVELOPER DROP COLUMN VIEW_LICENSING_REPORTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
UPDATE OSSYS_PARAMETER SET VAL='4.001.002.001' WHERE NAME='lastupgradeversion';
/
ALTER TABLE ossys_Espace ADD IS_USER_PROVIDER NUMBER(1);
/
ALTER TABLE ossys_Espace ADD USER_PROVIDER_NAME VARCHAR2(35);
/
ALTER TABLE ossys_Espace ADD USER_PROVIDER_KEY VARCHAR2(50);
/

-- %VERSION_UPGRADE% = "4.1.3.1"
UPDATE OSSYS_PARAMETER SET VAL='4.001.003.001' WHERE NAME='lastupgradeversion';
/

-- %VERSION_UPGRADE% = "4.1.3.12"
DROP INDEX OSIDX_OSSYS_PARAMETER_4NAME;
/
-- %INVARIANT_INDEX% = "OSIDX_OSSYS_PARAMETER_4NAME: HOST, NAME"
CREATE UNIQUE INDEX OSIDX_OSSYS_PARAMETER_4NAME ON OSSYS_PARAMETER ( NAME, HOST ) TABLESPACE "OSIDX";
/

-- %VERSION_UPGRADE% = "4.1.3.15"
CREATE TABLE "OSSYS_SHAREDCONFIGURATION" ("ID" NUMBER(10) NOT NULL, "NAME" VARCHAR2(50) DEFAULT ' ' NULL, "KIND" VARCHAR2(50) DEFAULT ' ' NULL, "DESCRIPTION" VARCHAR2(255) DEFAULT ' ' NULL, "VALUE" CLOB DEFAULT ' ' NULL);
ALTER TABLE "OSSYS_SHAREDCONFIGURATION" ADD CONSTRAINT "PK_OSSYS_SHAREDCONFIGURATION" PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE "OSSEQ_SHAREDCONFIGURATION" MINVALUE 1 MAXVALUE 9999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE; 
CREATE TRIGGER "OSTRQ_SHAREDCONFIGURATION" BEFORE INSERT ON "OSSYS_SHAREDCONFIGURATION" FOR EACH ROW BEGIN IF :new."ID" IS NULL THEN SELECT oshe_globals.setidentity("OSSEQ_SHAREDCONFIGURATION".nextval) INTO :NEW."ID" FROM dual; END IF; END;
GRANT select,insert,delete,update on "OSSYS_SHAREDCONFIGURATION" TO hubruntime;

CREATE TABLE "OSSYS_ESPACE_SHAREDCONFIG" ("ID" NUMBER(10) NOT NULL, "ESPACEID" NUMBER(10) DEFAULT NULL NULL, "SHAREDCONFIGURATIONID" NUMBER(10) DEFAULT NULL NULL);
ALTER TABLE "OSSYS_ESPACE_SHAREDCONFIG" ADD CONSTRAINT "PK_OSSYS_ESPACE_SHAREDCONFIG" PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
ALTER TABLE "OSSYS_ESPACE_SHAREDCONFIG" ADD CONSTRAINT OSFRK_OSSYS_ESPACE_SHAREDCONF0 FOREIGN KEY ("ESPACEID") REFERENCES "OSSYS_ESPACE" ("ID") ON DELETE CASCADE;
ALTER TABLE "OSSYS_ESPACE_SHAREDCONFIG" ADD CONSTRAINT OSFRK_OSSYS_ESPACE_SHAREDCONF1 FOREIGN KEY ("SHAREDCONFIGURATIONID") REFERENCES "OSSYS_SHAREDCONFIGURATION" ("ID") ON DELETE CASCADE;
CREATE SEQUENCE "OSSEQ_ESPACE_SHAREDCONFIG" MINVALUE 1 MAXVALUE 9999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE; 
CREATE TRIGGER "OSTGR_ESPACE_SHAREDCONFIG" BEFORE INSERT ON "OSSYS_ESPACE_SHAREDCONFIG" FOR EACH ROW BEGIN IF :new."ID" IS NULL THEN SELECT oshe_globals.setidentity("OSSEQ_ESPACE_SHAREDCONFIG".nextval) INTO :NEW."ID" FROM dual; END IF; END;
GRANT select,insert,delete,update on "OSSYS_ESPACE_SHAREDCONFIG" TO hubruntime;

--%CHECK% = "RunNewPartioningCode"
CREATE TABLE OSLOG_CYCLIC_JOB_0(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_1(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_2(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_3(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_4(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_5(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_6(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_7(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_8(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_CYCLIC_JOB_9(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0),CYCLIC_JOB_KEY VARCHAR2 (20) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL, TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,SHOULD_HAVE_RUN_AT TIMESTAMP NOT NULL,NEXT_RUN TIMESTAMP NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_0 ON OSLOG_CYCLIC_JOB_0 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_1 ON OSLOG_CYCLIC_JOB_1 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_2 ON OSLOG_CYCLIC_JOB_2 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_3 ON OSLOG_CYCLIC_JOB_3 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_4 ON OSLOG_CYCLIC_JOB_4 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_5 ON OSLOG_CYCLIC_JOB_5 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_6 ON OSLOG_CYCLIC_JOB_6 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_7 ON OSLOG_CYCLIC_JOB_7 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_8 ON OSLOG_CYCLIC_JOB_8 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_CYCLIC_JOB_ESPACE_9 ON OSLOG_CYCLIC_JOB_9 ( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_CYCLIC_JOB_0 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_1 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_2 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_3 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_4 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_5 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_6 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_7 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_8 to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_9 to hublog;

grant select,insert,delete,update on OSLOG_CYCLIC_JOB_0 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_1 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_2 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_3 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_4 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_5 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_6 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_7 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_8 to hubruntime;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_9 to hubruntime;

CREATE VIEW OSLOG_CYCLIC_JOB AS SELECT * FROM OSLOG_CYCLIC_JOB_0;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB to hubruntime;

CREATE TABLE OSLOG_ERROR_0(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_1(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_2(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_3(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_4(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_5(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_6(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_7(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_8(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_ERROR_9(ID VARCHAR2 (50) NOT NULL,INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MESSAGE VARCHAR2 (2000) NOT NULL,STACK VARCHAR2 (2000) NOT NULL,MODULE_NAME VARCHAR2 (15) NOT NULL,SERVER VARCHAR2 (50) NOT NULL,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";

ALTER TABLE OSLOG_ERROR_0 ADD ( CONSTRAINT PK_OSLOG_ERROR_0 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_1 ADD ( CONSTRAINT PK_OSLOG_ERROR_1 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_2 ADD ( CONSTRAINT PK_OSLOG_ERROR_2 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_3 ADD ( CONSTRAINT PK_OSLOG_ERROR_3 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_4 ADD ( CONSTRAINT PK_OSLOG_ERROR_4 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_5 ADD ( CONSTRAINT PK_OSLOG_ERROR_5 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_6 ADD ( CONSTRAINT PK_OSLOG_ERROR_6 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_7 ADD ( CONSTRAINT PK_OSLOG_ERROR_7 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_8 ADD ( CONSTRAINT PK_OSLOG_ERROR_8 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");
ALTER TABLE OSLOG_ERROR_9 ADD ( CONSTRAINT PK_OSLOG_ERROR_9 PRIMARY KEY ( Id ) USING INDEX TABLESPACE "OSIDX");


CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_0 ON OSLOG_ERROR_0( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_1 ON OSLOG_ERROR_1( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_2 ON OSLOG_ERROR_2( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_3 ON OSLOG_ERROR_3( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_4 ON OSLOG_ERROR_4( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_5 ON OSLOG_ERROR_5( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_6 ON OSLOG_ERROR_6( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_7 ON OSLOG_ERROR_7( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_8 ON OSLOG_ERROR_8( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_ERROR_ESPACE_ID_9 ON OSLOG_ERROR_9( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_ERROR_0 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_1 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_2 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_3 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_4 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_5 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_6 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_7 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_8 to hublog;
grant select,insert,delete,update on OSLOG_ERROR_9 to hublog;

grant select,insert,delete,update on OSLOG_ERROR_0 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_1 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_2 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_3 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_4 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_5 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_6 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_7 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_8 to hubruntime;
grant select,insert,delete,update on OSLOG_ERROR_9 to hubruntime;

CREATE VIEW OSLOG_ERROR AS SELECT * FROM OSLOG_ERROR_0;
grant select,insert,delete,update on OSLOG_ERROR to hublog;
grant select,insert,delete,update on OSLOG_ERROR to hubruntime;

CREATE TABLE OSLOG_GENERAL_0(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_1(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_2(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_3(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_4(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_5(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_6(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_7(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_8(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_GENERAL_9(INSTANT TIMESTAMP NOT NULL,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,ERROR_ID VARCHAR2 (50) ,MESSAGE VARCHAR2 (200) ,MESSAGE_TYPE VARCHAR2 (10) ,MODULE_NAME VARCHAR2 (15) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_0 ON OSLOG_GENERAL_0 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_1 ON OSLOG_GENERAL_1 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_2 ON OSLOG_GENERAL_2 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_3 ON OSLOG_GENERAL_3 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_4 ON OSLOG_GENERAL_4 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_5 ON OSLOG_GENERAL_5 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_6 ON OSLOG_GENERAL_6 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_7 ON OSLOG_GENERAL_7 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_8 ON OSLOG_GENERAL_8 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_GENERAL_ESPACE_ID_9 ON OSLOG_GENERAL_9 ( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_GENERAL_0 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_1 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_2 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_3 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_4 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_5 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_6 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_7 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_8 to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_9 to hublog;

grant select,insert,delete,update on OSLOG_GENERAL_0 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_1 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_2 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_3 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_4 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_5 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_6 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_7 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_8 to hubruntime;
grant select,insert,delete,update on OSLOG_GENERAL_9 to hubruntime;

CREATE VIEW OSLOG_GENERAL AS SELECT * FROM OSLOG_GENERAL_0;

grant select,insert,delete,update on OSLOG_GENERAL to hublog;

grant select,insert,delete,update on OSLOG_GENERAL to hubruntime;

CREATE TABLE OSLOG_SCREEN_0(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_1(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_2(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_3(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_4(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_5(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_6(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_7(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_8(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SCREEN_9(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,SCREEN VARCHAR2 (50) ,SESSION_ID VARCHAR2 (24) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,MSISDN VARCHAR2 (20) ,SCREEN_TYPE VARCHAR2 (10) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_0 ON OSLOG_SCREEN_0 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_1 ON OSLOG_SCREEN_1 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_2 ON OSLOG_SCREEN_2 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_3 ON OSLOG_SCREEN_3 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_4 ON OSLOG_SCREEN_4 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_5 ON OSLOG_SCREEN_5 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_6 ON OSLOG_SCREEN_6 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_7 ON OSLOG_SCREEN_7 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_8 ON OSLOG_SCREEN_8 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SCREEN_ESPACE_ID_9 ON OSLOG_SCREEN_9 ( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_SCREEN_0 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_1 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_2 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_3 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_4 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_5 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_6 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_7 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_8 to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_9 to hublog;

grant select,insert,delete,update on OSLOG_SCREEN_0 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_1 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_2 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_3 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_4 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_5 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_6 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_7 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_8 to hubruntime;
grant select,insert,delete,update on OSLOG_SCREEN_9 to hubruntime;

CREATE VIEW OSLOG_SCREEN AS SELECT * FROM OSLOG_SCREEN_0;
grant select,insert,delete,update on OSLOG_SCREEN to hublog;
grant select,insert,delete,update on OSLOG_SCREEN to hubruntime;

CREATE TABLE OSLOG_SMS_0(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_1(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_2(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_3(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_4(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_5(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_6(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_7(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_8(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_SMS_9(INSTANT TIMESTAMP NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER(10,0) NOT NULL,MESSAGE VARCHAR2 (480) NOT NULL,MESSAGE_ID VARCHAR2 (50) NOT NULL,"TYPE" VARCHAR2 (2) ,CUSTOM_ID NUMBER (10,0) NOT NULL,CYCLE NUMBER (10,0) NOT NULL,ORIGINAL_MESSAGE_ID VARCHAR2 (50) ,MSISDN VARCHAR2 (50) ,LARGE_ACCOUNT VARCHAR2 (50) ,BILLING_DESCRIPTION VARCHAR2 (80),BILLING_CODE VARCHAR2 (50) ,CONNECTION VARCHAR2 (50) ,OPERATOR_CODE VARCHAR2 (20) ,CUSTOM_1 VARCHAR2 (50) ,CUSTOM_2 VARCHAR2 (50) ,CUSTOM_3 VARCHAR2 (50) ,TENANT_PATH VARCHAR2 (56) ,SCREEN_NAME VARCHAR2 (50) ,DLR_STATUS NUMBER (10,0) ,ERROR_ID VARCHAR2 (56) ) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_0 ON OSLOG_SMS_0 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_1 ON OSLOG_SMS_1 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_2 ON OSLOG_SMS_2 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_3 ON OSLOG_SMS_3 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_4 ON OSLOG_SMS_4 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_5 ON OSLOG_SMS_5 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_6 ON OSLOG_SMS_6 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_7 ON OSLOG_SMS_7 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_8 ON OSLOG_SMS_8 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_SMS_ESPACE_ID_9 ON OSLOG_SMS_9 ( Instant,Espace_Id ) TABLESPACE "OSIDX";

-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_0: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_0 ON OSLOG_SMS_0 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_1: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_1 ON OSLOG_SMS_1 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_2: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_2 ON OSLOG_SMS_2 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_3: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_3 ON OSLOG_SMS_3 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_4: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_4 ON OSLOG_SMS_4 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_5: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_5 ON OSLOG_SMS_5 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_6: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_6 ON OSLOG_SMS_6 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_7: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_7 ON OSLOG_SMS_7 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_8: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_8 ON OSLOG_SMS_8 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";
-- %INVARIANT_INDEX% = "IDX_OSLOG_SMS_MSIDN_MESSAGEI_9: Message_Id, MSISDN"
--%CHECK% = "RunNewPartioningCode"
CREATE INDEX IDX_OSLOG_SMS_MSIDN_MESSAGEI_9 ON OSLOG_SMS_9 ( MSISDN,Message_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_SMS_0 to hublog;
grant select,insert,delete,update on OSLOG_SMS_1 to hublog;
grant select,insert,delete,update on OSLOG_SMS_2 to hublog;
grant select,insert,delete,update on OSLOG_SMS_3 to hublog;
grant select,insert,delete,update on OSLOG_SMS_4 to hublog;
grant select,insert,delete,update on OSLOG_SMS_5 to hublog;
grant select,insert,delete,update on OSLOG_SMS_6 to hublog;
grant select,insert,delete,update on OSLOG_SMS_7 to hublog;
grant select,insert,delete,update on OSLOG_SMS_8 to hublog;
grant select,insert,delete,update on OSLOG_SMS_9 to hublog;

grant select,insert,delete,update on OSLOG_SMS_0 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_1 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_2 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_3 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_4 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_5 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_6 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_7 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_8 to hubruntime;
grant select,insert,delete,update on OSLOG_SMS_9 to hubruntime;

CREATE VIEW OSLOG_SMS AS SELECT * FROM OSLOG_SMS_0;
grant select,insert,delete,update on OSLOG_SMS to hublog;
grant select,insert,delete,update on OSLOG_SMS to hubruntime;

CREATE TABLE OSLOG_WEB_REFERENCE_0(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_1(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_2(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_3(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_4(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_5(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_6(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_7(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_8(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_REFERENCE_9(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,URL VARCHAR2 (1000) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_0 ON OSLOG_WEB_REFERENCE_0( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_1 ON OSLOG_WEB_REFERENCE_1( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_2 ON OSLOG_WEB_REFERENCE_2( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_3 ON OSLOG_WEB_REFERENCE_3( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_4 ON OSLOG_WEB_REFERENCE_4( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_5 ON OSLOG_WEB_REFERENCE_5( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_6 ON OSLOG_WEB_REFERENCE_6( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_7 ON OSLOG_WEB_REFERENCE_7( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_8 ON OSLOG_WEB_REFERENCE_8( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_REFERENCE_ESP_9 ON OSLOG_WEB_REFERENCE_9( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_WEB_REFERENCE_0 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_1 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_2 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_3 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_4 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_5 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_6 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_7 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_8 to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_9 to hublog;

grant select,insert,delete,update on OSLOG_WEB_REFERENCE_0 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_1 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_2 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_3 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_4 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_5 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_6 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_7 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_8 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_9 to hubruntime;

CREATE VIEW OSLOG_WEB_REFERENCE AS SELECT * FROM OSLOG_WEB_REFERENCE_0;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE to hubruntime;

CREATE TABLE OSLOG_WEB_SERVICE_0(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_1(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_2(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_3(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_4(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_5(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_6(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_7(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_8(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_WEB_SERVICE_9(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,NAME VARCHAR2 (100) NOT NULL,METHOD VARCHAR2 (100) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,CLIENT_IP VARCHAR2 (15) NOT NULL,EXECUTED_BY VARCHAR2 (50) ,ERROR_ID VARCHAR2 (50) ,CYCLE NUMBER (10,0) NOT NULL) TABLESPACE "OSLOG";

CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_0 ON OSLOG_WEB_SERVICE_0 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_1 ON OSLOG_WEB_SERVICE_1 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_2 ON OSLOG_WEB_SERVICE_2 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_3 ON OSLOG_WEB_SERVICE_3 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_4 ON OSLOG_WEB_SERVICE_4 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_5 ON OSLOG_WEB_SERVICE_5 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_6 ON OSLOG_WEB_SERVICE_6 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_7 ON OSLOG_WEB_SERVICE_7 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_8 ON OSLOG_WEB_SERVICE_8 ( Instant,Espace_Id ) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_WEB_SERVICE_ESP_9 ON OSLOG_WEB_SERVICE_9 ( Instant,Espace_Id ) TABLESPACE "OSIDX";

grant select,insert,delete,update on OSLOG_WEB_SERVICE_0 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_1 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_2 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_3 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_4 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_5 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_6 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_7 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_8 to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_9 to hublog;

grant select,insert,delete,update on OSLOG_WEB_SERVICE_0 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_1 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_2 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_3 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_4 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_5 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_6 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_7 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_8 to hubruntime;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_9 to hubruntime;

CREATE VIEW OSLOG_WEB_SERVICE AS SELECT * FROM OSLOG_WEB_SERVICE_0;
grant select,insert,delete,update on OSLOG_WEB_SERVICE to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE to hubruntime;

insert into ossys_parameter (name,val) values('LogModeWithoutPartioning', 'true');

--%VERSION_UPGRADE% = "4.1.3.18"
ALTER TABLE oslog_Screen_0 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_1 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_2 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_3 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_4 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_5 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_6 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_7 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_8 ADD Viewstate_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_9 ADD Viewstate_Bytes NUMBER(8);

ALTER TABLE oslog_Screen_0 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_1 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_2 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_3 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_4 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_5 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_6 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_7 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_8 ADD Session_Bytes NUMBER(8);
ALTER TABLE oslog_Screen_9 ADD Session_Bytes NUMBER(8);

ALTER TABLE oslog_Screen_0 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_1 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_2 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_3 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_4 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_5 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_6 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_7 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_8 ADD Session_Requests NUMBER(4);
ALTER TABLE oslog_Screen_9 ADD Session_Requests NUMBER(4);

--%VERSION_UPGRADE% = "4.1.3.25"
ALTER TABLE OSLOG_ERROR_0 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_1 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_2 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_3 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_4 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_5 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_6 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_7 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_8 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_ERROR_9 MODIFY SESSION_ID VARCHAR2 (50);

ALTER TABLE OSLOG_GENERAL_0 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_1 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_2 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_3 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_4 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_5 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_6 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_7 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_8 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_GENERAL_9 MODIFY SESSION_ID VARCHAR2 (50);

ALTER TABLE OSLOG_SCREEN_0 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_1 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_2 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_3 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_4 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_5 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_6 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_7 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_8 MODIFY SESSION_ID VARCHAR2 (50);
ALTER TABLE OSLOG_SCREEN_9 MODIFY SESSION_ID VARCHAR2 (50);

-- %VERSION_UPGRADE% = "4.2.0.1"
ALTER TABLE OSLOG_GENERAL_0 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_1 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_2 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_3 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_4 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_5 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_6 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_7 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_8 MODIFY MESSAGE VARCHAR2 (2000);
ALTER TABLE OSLOG_GENERAL_9 MODIFY MESSAGE VARCHAR2 (2000);

-- %VERSION_UPGRADE% = ""4.2.1.0"" 
CREATE TABLE OSSYS_ENTITY_RECORD (ID NUMBER(10,0) NOT NULL, DATA_ID VARCHAR2(2000) NOT NULL, NAME VARCHAR2(50) NOT NULL, SS_KEY VARCHAR2(100) NOT NULL, ENTITY_SS_KEY VARCHAR2(100) NOT NULL, ESPACE_ID NUMBER(10,0) NOT NULL, IS_ACTIVE NUMBER(1,0) NOT NULL)  TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ENTITY_RECORD MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ENTITY_RECORD BEFORE INSERT ON OSSYS_ENTITY_RECORD FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ENTITY_RECORD.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_ENTITY_RECORD TO hubruntime;
/
UPDATE OSSYS_PARAMETER SET Val='4.002.001.000' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = ""4.2.1.7"" 
ALTER TABLE OSSYS_EXTENSION_VERSION ADD Has_SAP NUMBER(1,0);
ALTER TABLE OSSYS_ESPACE_VERSION ADD Has_HTTPS NUMBER(1,0);
ALTER TABLE OSSYS_ESPACE_VERSION ADD Has_IntegratedAuthentication NUMBER(1,0);
ALTER TABLE OSSYS_ESPACE_VERSION ADD Has_MobileWeb NUMBER(1,0);
ALTER TABLE OSSYS_ESPACE_VERSION ADD Has_SMS NUMBER(1,0);
/
UPDATE OSSYS_PARAMETER SET Val='4.002.001.007' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "4.2.3.2"

ALTER TABLE OSSYS_ENTITY ADD Is_Active_Attribute VARCHAR2(50) NULL;
ALTER TABLE OSSYS_ENTITY ADD Label_Attribute VARCHAR2(50) NULL;
ALTER TABLE OSSYS_ENTITY ADD Order_By_Attribute VARCHAR2(50) NULL;
ALTER TABLE OSSYS_ENTITY ADD Data_Kind VARCHAR2(20) NULL;
ALTER TABLE OSSYS_ENTITY ADD Multilingual NUMBER(1,0) DEFAULT (0) NOT NULL;
ALTER TABLE OSSYS_ENTITY ADD Multilingual_SS_Key VARCHAR2(50) NULL;
/
UPDATE OSSYS_PARAMETER SET Val='4.002.003.002' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "4.2.4.4" 
UPDATE OSSYS_PARAMETER SET Val='4.002.004.004' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = ""4.2.4.5""

CREATE TABLE OSLOG_EXTENSION_0(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_1(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_2(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_3(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_4(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_5(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_6(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_7(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_8(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
CREATE TABLE OSLOG_EXTENSION_9(INSTANT TIMESTAMP NOT NULL,DURATION NUMBER (10,0) ,ACTION_NAME VARCHAR2 (50) ,SESSION_ID VARCHAR2 (50) NOT NULL,USER_ID NUMBER (10,0) NOT NULL,ESPACE_ID NUMBER (10,0) NOT NULL,TENANT_ID NUMBER (10,0) NOT NULL,EXTENSION_ID NUMBER(10,0) ,CYCLE NUMBER (10,0) NOT NULL,EXECUTED_BY VARCHAR2 (50), ERROR_ID VARCHAR2(50) ) TABLESPACE "OSLOG";
/

CREATE VIEW OSLOG_EXTENSION AS SELECT * FROM OSLOG_EXTENSION_0;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION TO hubruntime;
/

CREATE INDEX IDX_OSLOG_EXTENSION_ID_0 ON OSLOG_EXTENSION_0 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_1 ON OSLOG_EXTENSION_1 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_2 ON OSLOG_EXTENSION_2 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_3 ON OSLOG_EXTENSION_3 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_4 ON OSLOG_EXTENSION_4 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_5 ON OSLOG_EXTENSION_5 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_6 ON OSLOG_EXTENSION_6 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_7 ON OSLOG_EXTENSION_7 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_8 ON OSLOG_EXTENSION_8 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
CREATE INDEX IDX_OSLOG_EXTENSION_ID_9 ON OSLOG_EXTENSION_9 (INSTANT, EXTENSION_ID, ESPACE_ID) TABLESPACE "OSIDX";
/

GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_0 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_1 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_2 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_3 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_4 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_5 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_6 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_7 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_8 TO hublog;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSLOG_EXTENSION_9 TO hublog;
/

-- %VERSION_UPGRADE% = ""4.2.4.7""

ALTER TABLE OSLOG_SCREEN_0 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_1 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_2 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_3 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_4 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_5 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_6 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_7 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_8 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
ALTER TABLE OSLOG_SCREEN_9 ADD ACCESS_MODE VARCHAR2(10) DEFAULT ('Screen') NOT NULL;
/
-- %VERSION_UPGRADE% = ""4.2.4.8""

UPDATE OSSYS_PARAMETER SET Val='4.002.004.007' WHERE name='lastupgradeversion'; 
/


-- %VERSION_UPGRADE% = ""4.2.4.11""

UPDATE OSSYS_PARAMETER SET VAL='all' WHERE NAME='Compiler.UseCacheInvalidationSuffix' AND VAL='20';
UPDATE OSSYS_PARAMETER SET VAL='pagecontents' WHERE NAME='Compiler.UseCacheInvalidationSuffix' AND VAL='10';
UPDATE OSSYS_PARAMETER SET VAL='none' WHERE NAME='Compiler.UseCacheInvalidationSuffix' AND VAL='0';
/
ALTER TABLE OSSYS_ESPACE_VERSION ADD (HAS_WEBSERVICES NUMBER(1) DEFAULT 0 NOT NULL);
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_REPORT_SU.LICENSED_SUS"
ALTER TABLE OSSYS_REPORT_SU ADD (LICENSED_SUS NUMBER(10,0) DEFAULT 0 NOT NULL);
-- %END_IGNORING_BLOCK%
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_REPORT_SU.USED_LICENSED_SUS"
ALTER TABLE OSSYS_REPORT_SU ADD (USED_LICENSED_SUS NUMBER(10,0) DEFAULT 0 NOT NULL);
-- %END_IGNORING_BLOCK%
/


-- %VERSION_UPGRADE% = ""4.2.4.38""

-- %VERSION_UPGRADE% = "5.0.0.0" 
ALTER TABLE OSLOG_CYCLIC_JOB_0 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_1 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_2 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_3 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_4 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_5 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_6 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_7 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_8 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);
ALTER TABLE OSLOG_CYCLIC_JOB_9 MODIFY CYCLIC_JOB_KEY VARCHAR2 (50);

-- Droping the [OSSYS_SMS_ENTRY].[SS_KEY] index before changing the column
-- %BEGIN_STATEMENT%
DECLARE
  CURSOR SSKEY_SEEKER IS (
    SELECT DISTINCT USER_INDEXES.INDEX_NAME  INDEX_NAME
      FROM
        USER_INDEXES
          INNER JOIN
        USER_IND_COLUMNS
          ON USER_INDEXES.INDEX_NAME = USER_IND_COLUMNS.INDEX_NAME
          LEFT JOIN
        USER_IND_EXPRESSIONS
          ON USER_IND_EXPRESSIONS.COLUMN_POSITION = USER_IND_COLUMNS.COLUMN_POSITION
          AND USER_INDEXES.INDEX_NAME = USER_IND_EXPRESSIONS.INDEX_NAME
      WHERE
        (INDEX_TYPE LIKE '%FUNCTION%'
          AND LOWER(USER_IND_COLUMNS.TABLE_NAME) = 'ossys_sms_entry')
        OR LOWER(USER_IND_COLUMNS.COLUMN_NAME) = 'ss_key'
    );
BEGIN
  FOR SSKEY_IDX_POINTER IN SSKEY_SEEKER LOOP
    EXECUTE IMMEDIATE 'DROP INDEX ' || SSKEY_IDX_POINTER.INDEX_NAME;
  END LOOP;
END;
-- %END_STATEMENT%

-- Change the [OSSYS_SMS_ENTRY].[SS_KEY]
ALTER TABLE OSSYS_SMS_ENTRY MODIFY SS_KEY VARCHAR2 (50);
-- don't worry about recreating the index
-- scinstall will do it for you

ALTER TABLE OSSYS_ENTITY_ATTR MODIFY TYPE VARCHAR2 (200);
ALTER TABLE OSSYS_ESPACE_REFERENCE DROP COLUMN SIGNATURE;
ALTER TABLE OSSYS_ENTITY ADD Multilingual_Table_Name VARCHAR2 (50);

-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.UpgraderTo5000"

ALTER TABLE OSSYS_ENTITY DROP COLUMN Multilingual_SS_Key;
ALTER TABLE ossys_Extension_Version_Sig ADD (Signature_Binary BLOB) LOB("SIGNATURE_BINARY") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
ALTER TABLE ossys_Extension_Version_Sig ADD Signature_Hash VARCHAR2 (50);
ALTER TABLE ossys_Extension_Version_Sig DROP COLUMN Signature;
ALTER TABLE ossys_Extension_Version_Sig DROP COLUMN Signature_CRC;

ALTER TABLE ossys_Espace ADD Is_Locked NUMBER(1,0) DEFAULT (0) NOT NULL;

UPDATE OSSYS_PARAMETER SET Val='5.000.000.000' WHERE name='lastupgradeversion'; 
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_EVENT_QUEUE"
CREATE TABLE OSSYS_BPM_EVENT_QUEUE (ID NUMBER(10,0) NOT NULL, ESPACE_ID NUMBER(10,0), TENANT_ID NUMBER(10,0), PROCESS_DEF_ID NUMBER(10,0), DATA_ID VARCHAR2(500), ENQUEUE_TIME TIMESTAMP, DEQUEUE_TIME TIMESTAMP, ERROR_COUNT NUMERIC(10,0), NEXT_RUN TIMESTAMP) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_EVENT_QUEUE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_EVENT_QUEUE BEFORE INSERT ON OSSYS_BPM_EVENT_QUEUE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_EVENT_QUEUE.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_EVENT_QUEUE to hubruntime;
/
-- %VERSION_UPGRADE% = "5.0.0.6" 

-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_DEFINITION"
CREATE TABLE OSSYS_BPM_PROCESS_DEFINITION (ID NUMBER (10,0) NOT NULL, NAME VARCHAR2 (100) DEFAULT ' ', LABEL VARCHAR2 (100) DEFAULT ' ', DESCRIPTION VARCHAR2 (2000) DEFAULT ' ', SS_KEY VARCHAR2 (100) NOT NULL, IS_ACTIVE NUMBER (1,0) DEFAULT 0, ESPACE_ID NUMBER (10,0), IS_LOCKED NUMBER (1,0) DEFAULT 0, PROCESS_ENTITY_ID NUMBER (10,0)) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_DEFINITION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_DEFINITION BEFORE INSERT ON OSSYS_BPM_PROCESS_DEFINITION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_DEFINITION.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_DEFINITION to hubruntime;
/

-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_DEFINITION"
CREATE TABLE OSSYS_BPM_ACTIVITY_DEFINITION (ID NUMBER (10,0) NOT NULL, SS_KEY VARCHAR2 (100) NOT NULL, NAME VARCHAR2 (100) DEFAULT ' ', LABEL VARCHAR2 (100) DEFAULT ' ', DESCRIPTION VARCHAR2 (2000) DEFAULT ' ', KIND NUMBER (10,0) NULL,PROCESS_DEF_ID NUMBER (10,0), IS_ACTIVE NUMBER (1,0) DEFAULT 0, DISPLAY_X NUMBER (10,0) DEFAULT 0, DISPLAY_Y NUMBER (10,0) DEFAULT 0, INVOKED_PROCESS_DEF_ID NUMBER (10,0), REQUIRES_PERMISSION NUMBER (1,0) DEFAULT 0) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY_DEFINITION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY_DEFINITION BEFORE INSERT ON OSSYS_BPM_ACTIVITY_DEFINITION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY_DEFINITION.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_DEFINITION to hubruntime;
/

-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS"
CREATE TABLE OSSYS_BPM_PROCESS (TENANT_ID NUMBER (10,0) DEFAULT 0 NOT NULL, ID NUMBER (10,0) NOT NULL, LABEL VARCHAR2 (200) DEFAULT ' ', CREATED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM') , CREATED_BY NUMBER (10,0), PROCESS_DEF_ID NUMBER (10,0), PARENT_PROCESS_ID NUMBER (10,0), PARENT_ACTIVITY_ID NUMBER (10,0), TOP_PROCESS_ID NUMBER (10,0), STATUS_ID NUMBER (10,0), LAST_MODIFIED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM') , LAST_MODIFIED_BY NUMBER (10,0) NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS BEFORE INSERT ON OSSYS_BPM_PROCESS FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS to hubruntime;
/

-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY"
CREATE TABLE OSSYS_BPM_ACTIVITY (TENANT_ID NUMBER (10,0) DEFAULT 0 NOT NULL, ID NUMBER (10,0) NOT NULL, ACTIVITY_DEF_ID NUMBER (10,0), PROCESS_ID NUMBER (10,0), NAME VARCHAR2 (100) DEFAULT ' ', USER_ID NUMBER (10,0), CREATED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM') , OPENED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM') , CLOSED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM') , STATUS_ID NUMBER (10,0) NULL, IS_RUNNING_SINCE TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), IS_RUNNING_AT VARCHAR2 (50) DEFAULT ' ', NEXT_RUN TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), PRECEDENT_ACTIVITY_ID NUMBER (10,0), PRECEDENT_OUTCOME VARCHAR2 (50) DEFAULT ' ', DUE_DATE TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), EXPIRED NUMBER (1,0) DEFAULT 0, SKIPPED NUMBER (1,0) DEFAULT 0, ERROR_COUNT NUMBER (10,0) DEFAULT 0, INBOX_DETAIL VARCHAR2 (100) DEFAULT '') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY BEFORE INSERT ON OSSYS_BPM_ACTIVITY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_KIND"
CREATE TABLE OSSYS_BPM_ACTIVITY_KIND (ID NUMBER (10,0) NOT NULL, NAME VARCHAR2 (50) DEFAULT '') TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_KIND to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_STATUS"
CREATE TABLE OSSYS_BPM_ACTIVITY_STATUS (ID NUMBER (10,0) NOT NULL, NAME VARCHAR2 (50) DEFAULT '', IS_TERMINAL NUMBER (1,0) DEFAULT(0), APPEARS_IN_INBOX NUMBER (1,0) DEFAULT(0)) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_STATUS to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_STATUS"
CREATE TABLE OSSYS_BPM_PROCESS_STATUS (ID NUMBER (10,0) NOT NULL, NAME VARCHAR2 (50) DEFAULT '', IS_TERMINAL NUMBER (1,0) DEFAULT(0)) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_BPM_PROCESS_STATUS to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_UPGRADE"
CREATE TABLE OSSYS_BPM_PROCESS_UPGRADE (ID NUMBER (10,0) NOT NULL, PROCESS_ID NUMBER (10,0), ACTIVITY_DEF_ID NUMBER (10,0), ACTIVE NUMBER(1,0) DEFAULT(0), PAST NUMBER(1,0) DEFAULT(0), FUTURE NUMBER(1,0) DEFAULT(0), DELETED NUMBER(1,0) DEFAULT(0), ESPACE_VERSION_ID NUMBER(10,0)) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_UPGRADE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_UPGRADE BEFORE INSERT ON OSSYS_BPM_PROCESS_UPGRADE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_UPGRADE.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_UPGRADE to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_DEPENDENCY"
CREATE TABLE OSSYS_BPM_PROCESS_DEPENDENCY (ID NUMBER (10,0) NOT NULL, PROCESS_DEF_SS_KEY VARCHAR2 (100), ESPACE_VERSION_ID NUMBER (10,0), DEPENDENCYLIST BLOB) TABLESPACE "OSSYS" LOB("DEPENDENCYLIST") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE SEQUENCE OSSEQ_BPM_PROCESS_DEPENDENCY MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_DEPENDENCY BEFORE INSERT ON OSSYS_BPM_PROCESS_DEPENDENCY FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_DEPENDENCY.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_DEPENDENCY to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_DEF_PERM"
CREATE TABLE OSSYS_BPM_ACTIVITY_DEF_PERM (ID NUMBER (10,0) NOT NULL, PERMISSION_AREA_ID NUMERIC (10,0), ACTIVITY_DEF_ID NUMBER (10,0)) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY_DEF_PERM MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY_DEF_PERM BEFORE INSERT ON OSSYS_BPM_ACTIVITY_DEF_PERM FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY_DEF_PERM.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_DEF_PERM to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_DEF_LINK"
CREATE TABLE OSSYS_BPM_ACTIVITY_DEF_LINK (ID NUMBER (10,0) NOT NULL, SS_KEY VARCHAR2 (100), SOURCE_ACTIVITY_DEF_ID NUMERIC (10,0), TARGET_ACTIVITY_DEF_ID NUMERIC(10,0), IS_ACTIVE NUMERIC(1,0) DEFAULT 0, OUTCOME VARCHAR2(10) DEFAULT '') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY_DEF_LINK MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY_DEF_LINK BEFORE INSERT ON OSSYS_BPM_ACTIVITY_DEF_LINK FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY_DEF_LINK.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_DEF_LINK to hubruntime;
/
-- %VERSION_UPGRADE% = "5.0.0.15" 
ALTER TABLE OSSYS_ESPACE_VERSION_SIGNATURE DROP COLUMN SIGNATURE;
ALTER TABLE OSSYS_ESPACE_VERSION_SIGNATURE DROP COLUMN SIGNATURE_CRC;

-- %VERSION_UPGRADE% = "5.0.0.18" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.18' WHERE name='lastupgradeversion'; 
/
-- %TABLE_NOT_EXISTS% = "OSSYS_ESPACE_FRAGMENTS"
CREATE TABLE OSSYS_ESPACE_FRAGMENTS (ID NUMBER (10,0) NOT NULL, ESPACE_ID NUMBER (10,0), USER_ID NUMBER (10,0), FRAGMENTS CLOB) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_FRAGMENTS MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_FRAGMENTS BEFORE INSERT ON OSSYS_ESPACE_FRAGMENTS FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_FRAGMENTS.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_ESPACE_FRAGMENTS to hubruntime;
/
-- %VERSION_UPGRADE% = "5.0.0.25" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.25' WHERE name='lastupgradeversion'; 
/
-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.RebuildIndexesForUpgradedColumns"
/
-- %VERSION_UPGRADE% = "5.0.0.34" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.34' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.0.0.35" 
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_INPUT_DEF"
CREATE TABLE OSSYS_BPM_PROCESS_INPUT_DEF (ID NUMBER (10,0) NOT NULL, SS_KEY VARCHAR2 (100) NOT NULL, PROCESS_DEF_ID NUMBER (10,0), NAME VARCHAR2 (100) DEFAULT ' ', DESCRIPTION VARCHAR2 (2000) DEFAULT ' ', IS_ACTIVE NUMBER (1,0) DEFAULT 0, DATA_TYPE VARCHAR2 (50) DEFAULT ' ', IS_MANDATORY NUMBER (1,0) DEFAULT 0, DEFAULT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) DEFAULT ' ') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_INPUT_DEF MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_INPUT_DEF BEFORE INSERT ON OSSYS_BPM_PROCESS_INPUT_DEF FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_INPUT_DEF.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_INPUT_DEF to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_INPUT"
CREATE TABLE OSSYS_BPM_PROCESS_INPUT (TENANT_ID NUMBER (10,0) DEFAULT 0 NOT NULL, ID NUMBER (10,0) NOT NULL, INPUT_DEF_ID NUMBER (10,0), PROCESS_ID NUMBER (10,0), SS_KEY VARCHAR2 (100) NOT NULL, NAME VARCHAR2 (100) DEFAULT ' ', DATA_TYPE VARCHAR2 (200) NOT NULL, INPUT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_INPUT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_INPUT BEFORE INSERT ON OSSYS_BPM_PROCESS_INPUT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_INPUT.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_INPUT to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_OUTPUT_DEF"
CREATE TABLE OSSYS_BPM_PROCESS_OUTPUT_DEF (ID NUMBER (10,0) NOT NULL, SS_KEY VARCHAR2 (100) NOT NULL, PROCESS_DEF_ID NUMBER (10,0), NAME VARCHAR2 (100) DEFAULT ' ', DESCRIPTION VARCHAR2 (2000) DEFAULT ' ', IS_ACTIVE NUMBER (1,0) DEFAULT 0, DATA_TYPE VARCHAR2 (50) DEFAULT ' ', DEFAULT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) DEFAULT ' ') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_OUTPUT_DEF MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_OUTPUT_DEF BEFORE INSERT ON OSSYS_BPM_PROCESS_OUTPUT_DEF FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_OUTPUT_DEF.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_OUTPUT_DEF to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_PROCESS_OUTPUT"
CREATE TABLE OSSYS_BPM_PROCESS_OUTPUT (TENANT_ID NUMBER (10,0) DEFAULT 0 NOT NULL, ID NUMBER (10,0) NOT NULL, OUTPUT_DEF_ID NUMBER (10,0), PROCESS_ID NUMBER (10,0), SS_KEY VARCHAR2 (100) NOT NULL, NAME VARCHAR2 (100) DEFAULT ' ', DATA_TYPE VARCHAR2 (200) NOT NULL, OUTPUT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_PROCESS_OUTPUT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_PROCESS_OUTPUT BEFORE INSERT ON OSSYS_BPM_PROCESS_OUTPUT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_PROCESS_OUTPUT.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_PROCESS_OUTPUT to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_OUTPUT_DEF"
CREATE TABLE OSSYS_BPM_ACTIVITY_OUTPUT_DEF (ID NUMBER (10,0) NOT NULL, SS_KEY VARCHAR2 (100) NOT NULL, ACTIVITY_DEF_ID NUMBER (10,0), NAME VARCHAR2 (100) DEFAULT ' ', DESCRIPTION VARCHAR2 (2000) DEFAULT ' ', IS_ACTIVE NUMBER (1,0) DEFAULT 0, DATA_TYPE VARCHAR2 (50) DEFAULT ' ', IS_INPUT NUMBER (1,0) DEFAULT 0, IS_MANDATORY NUMBER (1,0) DEFAULT 0, DEFAULT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) DEFAULT ' ') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY_OUTPUT_DEF MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY_OUTPUT_DEF BEFORE INSERT ON OSSYS_BPM_ACTIVITY_OUTPUT_DEF FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY_OUTPUT_DEF.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_OUTPUT_DEF to hubruntime;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_OUTPUT"
CREATE TABLE OSSYS_BPM_ACTIVITY_OUTPUT (TENANT_ID NUMBER (10,0) DEFAULT 0 NOT NULL, ID NUMBER (10,0) NOT NULL, OUTPUT_DEF_ID NUMBER (10,0), ACTIVITY_ID NUMBER (10,0), SS_KEY VARCHAR2 (100) NOT NULL, NAME VARCHAR2 (100) DEFAULT ' ', DATA_TYPE VARCHAR2 (200) NOT NULL, OUTPUT_VALUE VARCHAR2 (2000) DEFAULT ' ', SS_TYPE VARCHAR2 (200) NOT NULL) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_BPM_ACTIVITY_OUTPUT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_BPM_ACTIVITY_OUTPUT BEFORE INSERT ON OSSYS_BPM_ACTIVITY_OUTPUT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_BPM_ACTIVITY_OUTPUT.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_BPM_ACTIVITY_OUTPUT to hubruntime;
/
-- %VERSION_UPGRADE% = "5.0.0.36" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.36' WHERE name='lastupgradeversion'; 
ALTER TABLE OSSYS_ESPACE ADD LOCKED_DATE TIMESTAMP;
/

-- %VERSION_UPGRADE% = "5.0.0.42" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.42' WHERE name='lastupgradeversion'; 
/
CREATE TABLE OSSYS_EMAIL (ID NUMBER (10,0) NOT NULL, "FROM" VARCHAR2(200) DEFAULT '', "TO" VARCHAR2(2000) DEFAULT '', CC VARCHAR2(2000) DEFAULT '', BCC VARCHAR2(2000) DEFAULT '', SUBJECT VARCHAR(2000) DEFAULT '', CREATED TIMESTAMP, ACTIVITY_ID NUMBER(10,0) DEFAULT 0, EMAIL_DEFINITION_ID NUMBER(10,0) DEFAULT 0, STORE_CONTENT NUMBER(1,0) DEFAULT 0, IS_TEST_EMAIL NUMBER(1,0) DEFAULT 0, "SIZE" NUMBER(10,0) DEFAULT 0, MESSAGE_ID VARCHAR2(200) DEFAULT '') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EMAIL MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EMAIL BEFORE INSERT ON OSSYS_EMAIL FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EMAIL.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_EMAIL to hubruntime;
/
CREATE TABLE OSSYS_EMAIL_DEFINITION (ID NUMBER (10,0) NOT NULL, ESPACE_ID NUMBER(10,0), NAME VARCHAR2(50) DEFAULT '', SS_KEY VARCHAR2(100) DEFAULT '', DESCRIPTION VARCHAR2(2000) DEFAULT '', IS_ACTIVE NUMBER(1,0) DEFAULT 0) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_EMAIL_DEFINITION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_EMAIL_DEFINITION BEFORE INSERT ON OSSYS_EMAIL_DEFINITION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_EMAIL_DEFINITION.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_EMAIL_DEFINITION to hubruntime;
/
CREATE TABLE OSSYS_EMAIL_STATUS (ID NUMBER (10,0) NOT NULL, LAST_ERROR_ID VARCHAR2(50), ERROR_COUNT NUMBER(1,0) DEFAULT 0, NEXT_RUN TIMESTAMP, IS_RUNNING_AT VARCHAR2(50) DEFAULT '', IS_RUNNING_SINCE TIMESTAMP, SENT TIMESTAMP) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_EMAIL_STATUS to hubruntime;
/
CREATE TABLE OSSYS_EMAIL_CONTENT (ID NUMBER (10,0) NOT NULL, CONTENT BLOB) TABLESPACE "OSSYS" LOB("CONTENT") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
grant select,insert,delete,update on OSSYS_EMAIL_CONTENT to hubruntime;
/

-- MISSING Dequeue_ossys_Email_Status

-- %VERSION_UPGRADE% = "5.0.0.51" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.51' WHERE name='lastupgradeversion'; 
/
ALTER TABLE OSSYS_ENTITY ADD EXPOSE_PROCESS_EVENTS NUMBER(1,0);
/
ALTER TABLE OSSYS_ENTITY ADD EVENT_TABLE_NAME VARCHAR2(2000);
/
ALTER TABLE OSSYS_ENTITY MODIFY (MULTILINGUAL_TABLE_NAME VARCHAR2(2000));

-- %VERSION_UPGRADE% = "5.0.0.56"

-- %TABLE_NOT_EXISTS% = "OSSYS_LOG_LICENSEUSERUSAGE"
CREATE TABLE OSSYS_LOG_LICENSEUSERUSAGE(ID NUMBER(10,0) NOT NULL ENABLE, USERTYPE VARCHAR2(5) DEFAULT ' ', DATETIME TIMESTAMP, SESSIONS NUMBER(10,0) DEFAULT 0, SESSIONMEDIAN NUMBER(10,0) DEFAULT 0, SESSIONLIMIT NUMBER(10,0) DEFAULT 0 ) TABLESPACE "OSSYS";
ALTER TABLE OSSYS_LOG_LICENSEUSERUSAGE ADD CONSTRAINT PK_OSSYS_LOG_LICENSEUSERUSAGE PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE OSSEQ_LOG_LICENSEUSERUSAGE MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_LOG_LICENSEUSERUSAGE BEFORE INSERT ON OSSYS_LOG_LICENSEUSERUSAGE FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_LOG_LICENSEUSERUSAGE.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_LOG_LICENSEUSERUSAGE TO hubruntime;
/

-- %VERSION_UPGRADE% = "5.0.0.67" 
UPDATE OSSYS_PARAMETER SET Val='5.0.0.67' WHERE name='lastupgradeversion'; 
/
ALTER TABLE OSSYS_ENTITY MODIFY (DESCRIPTION VARCHAR2(2000));
ALTER TABLE OSSYS_ENTITY_ATTR MODIFY (DESCRIPTION VARCHAR2(2000));
ALTER TABLE OSSYS_ENTITY_ATTR MODIFY (DEFAULT_VALUE VARCHAR2(2000));
ALTER TABLE OSSYS_SITE_PROPERTY_DEFINITION MODIFY (DESCRIPTION VARCHAR2(2000));
/
-- %VERSION_UPGRADE% = "5.0.2.0" 
UPDATE OSSYS_PARAMETER SET Val='5.0.2.0' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "5.0.1.8" 
UPDATE OSSYS_PARAMETER SET Val='5.0.1.8' WHERE name='lastupgradeversion'; 
/
-- %BEGIN_STATEMENT%
CREATE OR REPLACE PROCEDURE DEQUEUE_OSSYS_EMAIL_STATUS (BatchSize IN NUMBER, Ip IN VARCHAR2, NullDate IN TIMESTAMP, RecordSet OUT SYS_REFCURSOR) AS
    v_CurrentDate TIMESTAMP := GETDATE();

    CURSOR MessageCursor IS
        SELECT ID
        FROM OSSYS_EMAIL_STATUS
        WHERE (IS_RUNNING_SINCE IS NULL Or IS_RUNNING_SINCE = NullDate)
              AND NEXT_RUN <= v_CurrentDate AND NEXT_RUN IS NOT NULL
              AND ROWNUM <= BatchSize
        ORDER BY Next_Run ASC
    FOR UPDATE SKIP LOCKED;

    v_record OSSYS_EMAIL_STATUS_TMP%ROWTYPE;
BEGIN
    OPEN MessageCursor;
    LOOP
        FETCH MessageCursor INTO v_record;
        EXIT WHEN MessageCursor%NOTFOUND;
        INSERT INTO OSSYS_EMAIL_STATUS_TMP VALUES v_record;
    END LOOP;

    UPDATE OSSYS_EMAIL_STATUS SET IS_RUNNING_SINCE = v_CurrentDate
    WHERE OSSYS_EMAIL_STATUS.ID IN (SELECT ID FROM OSSYS_EMAIL_STATUS_TMP);

    OPEN RecordSet FOR
        SELECT Id
        FROM OSSYS_EMAIL_STATUS_TMP;
END;
-- %END_STATEMENT%
GRANT EXECUTE ON DEQUEUE_OSSYS_EMAIL_STATUS TO hubruntime;
/
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_ENTITY' AND COLUMN_NAME = 'BASE_VIEW_NAME'; IF v_exists = 0 THEN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ENTITY ADD (BASE_VIEW_NAME VARCHAR2(2000))'; END IF; END;
/
-- %VERSION_UPGRADE% = "5.0.2.0" 
UPDATE OSSYS_PARAMETER SET Val='5.0.2.0' WHERE name='lastupgradeversion'; 
/
-- %TABLE_EXISTS% = "OSSYS_BPM_EVENT_QUEUE_TMP"
DROP TABLE OSSYS_BPM_EVENT_QUEUE_TMP;
-- %END_IGNORING_BLOCK%
/
CREATE GLOBAL TEMPORARY TABLE OSSYS_BPM_EVENT_QUEUE_TMP (ID NUMBER(10,0) NOT NULL, ESPACE_ID NUMBER(10,0), TENANT_ID NUMBER(10,0), ACTIVITY_ID NUMBER(10,0), PROCESS_DEF_ID NUMBER(10,0), DATA_ID VARCHAR2(500), ENQUEUE_TIME TIMESTAMP, NEXT_RUN TIMESTAMP) ON COMMIT DELETE ROWS;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_BPM_EVENT_QUEUE_TMP TO hubruntime;
/
-- %TABLE_EXISTS% = "OSSYS_EMAIL_STATUS_TMP"
DROP TABLE OSSYS_EMAIL_STATUS_TMP;
-- %END_IGNORING_BLOCK%
/
CREATE GLOBAL TEMPORARY TABLE OSSYS_EMAIL_STATUS_TMP (ID NUMBER(10,0) NOT NULL) ON COMMIT DELETE ROWS;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_BPM_EVENT_QUEUE_TMP TO hubruntime;
/
-- %VERSION_UPGRADE% = "5.0.2.3" 
UPDATE OSSYS_PARAMETER SET Val='5.0.2.3' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.0.2.4" 
ALTER TABLE OSSYS_BPM_PROCESS MODIFY(CREATED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), LAST_MODIFIED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'));
ALTER TABLE OSSYS_BPM_ACTIVITY MODIFY(CREATED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), OPENED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), CLOSED TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), IS_RUNNING_SINCE TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), NEXT_RUN TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'), DUE_DATE TIMESTAMP DEFAULT to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM'));
/

-- %VERSION_UPGRADE% = "5.0.2.9" 
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_SERVER' AND COLUMN_NAME = 'HOST_SERIAL'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_SERVER ADD (HOST_SERIAL VARCHAR2(50))'; EXECUTE IMMEDIATE 'UPDATE ossys_server SET HOST_SERIAL = Name where HOST_SERIAL is null'; END; END IF; END;
/
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_PARAMETER' AND COLUMN_NAME = 'HOST_SERIAL'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_PARAMETER ADD (HOST_SERIAL VARCHAR2(50))'; EXECUTE IMMEDIATE 'UPDATE OSSYS_PARAMETER SET HOST_SERIAL = Host  where HOST_SERIAL is null'; END; END IF; END;
/


-- %VERSION_UPGRADE% = "5.0.2.16"
-- Droping the [OSSYS_PARAMETER].([NAME]+[HOST]) index before changing the column
-- %BEGIN_STATEMENT%
DECLARE
  CURSOR SSKEY_SEEKER IS (
    SELECT DISTINCT USER_INDEXES.INDEX_NAME  INDEX_NAME
      FROM
        USER_INDEXES
          INNER JOIN
        USER_IND_COLUMNS
          ON USER_INDEXES.INDEX_NAME = USER_IND_COLUMNS.INDEX_NAME
          LEFT JOIN
        USER_IND_EXPRESSIONS
          ON USER_IND_EXPRESSIONS.COLUMN_POSITION = USER_IND_COLUMNS.COLUMN_POSITION
          AND USER_INDEXES.INDEX_NAME = USER_IND_EXPRESSIONS.INDEX_NAME
      WHERE
        (INDEX_TYPE LIKE '%FUNCTION%'
          AND LOWER(USER_IND_COLUMNS.TABLE_NAME) = 'ossys_parameter')
        AND ( LOWER(USER_IND_COLUMNS.COLUMN_NAME) = 'host'  or  LOWER(USER_INDEXES.INDEX_NAME) like '%name%')
    );
BEGIN
  FOR SSKEY_IDX_POINTER IN SSKEY_SEEKER LOOP
    EXECUTE IMMEDIATE 'DROP INDEX ' || SSKEY_IDX_POINTER.INDEX_NAME;
  END LOOP;
END;
-- %END_STATEMENT%
/

-- %VERSION_UPGRADE% = "5.0.2.27"
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_ESPACE_VERSION' AND COLUMN_NAME = 'HAS_HTTPSCLIENTCERTIFICATES'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD HAS_HTTPSCLIENTCERTIFICATES NUMBER(1,0)';END; END IF; END;
/

-- %VERSION_UPGRADE% = "5.0.3.0" 
-- %TABLE_NOT_EXISTS% = "OSSYS_DBCATALOG"
CREATE TABLE OSSYS_DBCATALOG(ID NUMBER(10,0) NOT NULL ENABLE, NAME VARCHAR2(50) NOT NULL , USERNAME VARCHAR(50) NOT NULL, PASSWORD VARCHAR(50) NOT NULL) TABLESPACE "OSSYS";
ALTER TABLE OSSYS_DBCATALOG ADD CONSTRAINT PK_OSSYS_DBCATALOG PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE OSSEQ_OSSYS_DBCATALOG MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_OSSYS_DBCATALOG BEFORE INSERT ON OSSYS_DBCATALOG FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_OSSYS_DBCATALOG.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_DBCATALOG TO hubruntime;
-- %END_IGNORING_BLOCK%
ALTER TABLE OSSYS_ESPACE ADD DBCATALOG_ID NUMBER(10,0) NULL;
/
-- %VERSION_UPGRADE% = "5.0.3.0" 
UPDATE OSSYS_ENTITY SET EVENT_TABLE_NAME = REPLACE(EVENT_TABLE_NAME, '"')
/
-- %VERSION_UPGRADE% = "5.0.3.1"
ALTER TABLE OSSYS_DBCATALOG ADD LOGICAL_NAME VARCHAR(50) NULL;
/
UPDATE OSSYS_DBCATALOG SET LOGICAL_NAME = NAME WHERE LOGICAL_NAME IS NULL
/
ALTER TABLE OSSYS_DBCATALOG MODIFY LOGICAL_NAME VARCHAR(50) NOT NULL;
/
ALTER TABLE OSSYS_ESPACE_VERSION ADD DBCATALOG_ID NUMBER(10,0) NULL;
/
-- %VERSION_UPGRADE% = "5.0.3.2" 
UPDATE OSSYS_PARAMETER SET Val='5.0.3.2' WHERE name='lastupgradeversion'; 
/
UPDATE OSSYS_DBCATALOG SET NAME='(Main)', LOGICAL_NAME='(Main)' WHERE LOGICAL_NAME='(System)'
/
-- %VERSION_UPGRADE% = "5.0.3.5" 
UPDATE OSSYS_PARAMETER SET Val='5.0.3.5' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.1" 
UPDATE OSSYS_PARAMETER SET Val='5.1.0.1' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.2" 
UPDATE OSSYS_PARAMETER SET Val='5.1.0.2' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.3" 
UPDATE OSSYS_PARAMETER SET Val='5.1.0.3' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.6" 
UPDATE OSSYS_PARAMETER SET Val='5.1.0.6' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.9" 
UPDATE OSSYS_PARAMETER SET Val='5.1.0.9' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.1.0.16" 
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_DBCATALOG' AND COLUMN_NAME = 'OWNERUSERNAME'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DBCATALOG ADD (OWNERUSERNAME VARCHAR2(50))';END; END IF; END;
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_DBCATALOG' AND COLUMN_NAME = 'OWNERPASSWORD'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DBCATALOG ADD (OWNERPASSWORD VARCHAR2(50))';END; END IF; END;
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_DBCATALOG' AND COLUMN_NAME = 'DATATABLESPACE'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DBCATALOG ADD (DATATABLESPACE VARCHAR2(50))';END; END IF; END;
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_DBCATALOG' AND COLUMN_NAME = 'INDEXTABLESPACE'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_DBCATALOG ADD (INDEXTABLESPACE VARCHAR2(50))';END; END IF; END;
/
-- %VERSION_UPGRADE% = "5.1.0.31"
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_ESPACE_VERSION' AND COLUMN_NAME = 'HAS_HTTPSCLIENTCERTIFICATES'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD HAS_HTTPSCLIENTCERTIFICATES NUMBER(1,0)';END; END IF; END;
/
UPDATE ossys_BPM_Activity SET ossys_BPM_Activity.Next_Run = NULL WHERE ossys_BPM_Activity.Next_Run = to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM');
/
UPDATE ossys_BPM_Activity SET ossys_BPM_Activity.Is_Running_Since = NULL WHERE ossys_BPM_Activity.Is_Running_Since = to_timestamp_tz('1900-01-01 00:00:00 00:00','YYYY-MM-DD HH24:MI:SS TZH:TZM');
/
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TAB_COLUMNS WHERE TABLE_NAME = 'OSSYS_SITE_PROPERTY' AND COLUMN_NAME = 'USER_MODIFIED'; IF v_exists = 0 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_SITE_PROPERTY ADD USER_MODIFIED NUMBER(1,0) DEFAULT(0)'; END; END IF; END;
/
UPDATE ossys_Site_Property SET User_Modified=1
/
-- %VERSION_UPGRADE% = "5.1.1.8" 
-- %TABLE_EXISTS% = "OSSYS_ESPACE_PENDING"
DROP TABLE OSSYS_ESPACE_PENDING;
-- %END_IGNORING_BLOCK%
/
BEGIN EXECUTE IMMEDIATE 'DROP SEQUENCE OSSEQ_OSSYS_ESPACE_PENDING'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'DROP TRIGGER OSTRG_OSSYS_ESPACE_PENDING'; EXCEPTION WHEN OTHERS THEN NULL; END;

CREATE TABLE OSSYS_ESPACE_PENDING(ID NUMBER(10,0) NOT NULL ENABLE, PENDINGNAME VARCHAR2(35) DEFAULT ' ') TABLESPACE "OSSYS";
ALTER TABLE OSSYS_ESPACE_PENDING ADD CONSTRAINT PK_OSSYS_ESPACE_PENDING PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_ESPACE_PENDING TO hubruntime;
/
-- %VERSION_UPGRADE% = "5.1.1.14"
-- %TABLE_EXISTS% = "OSSYS_ASYNC_OP_MESSAGE"
DELETE FROM OSSYS_ASYNC_OP_MESSAGE WHERE NOT EXISTS (SELECT 1 FROM OSSYS_ASYNC_OP_STATE WHERE OSSYS_ASYNC_OP_STATE.ID = OSSYS_ASYNC_OP_MESSAGE.STATE_ID);
/
-- %VERSION_UPGRADE% = "5.9.9.0" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.0' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.1" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.1' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.2" 
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_USER RENAME COLUMN MSISDN TO MobilePhone'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_BPM_Activity_Def_Perm RENAME COLUMN Permission_Area_Id TO Permission_Id'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_user_permission RENAME COLUMN Permission_Area_Id TO Permission_Id'; EXCEPTION WHEN OTHERS THEN NULL; END;
ALTER TABLE ossys_espace_version DROP COLUMN HAS_MOBILEWEB;
ALTER TABLE ossys_Report_EspaceUsa DROP COLUMN SLOWWAPHITS cascade constraints;
ALTER TABLE ossys_Report_EspaceUsa DROP COLUMN WAPHITS cascade constraints;
ALTER TABLE ossys_Report_EspaceUsa DROP COLUMN WAPMSISDN cascade constraints;
ALTER TABLE ossys_Report_HourlyUsa DROP COLUMN SLOWWAPSCREENS cascade constraints;
ALTER TABLE ossys_Report_HourlyUsa DROP COLUMN WAPHITS cascade constraints;
/
-- %VERSION_UPGRADE% = "5.9.9.3" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.3' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.5"
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_APPLICATION RENAME COLUMN ENTRYESPACE TO Entry_eSpace_Id'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_APPLICATION RENAME COLUMN SOLUTIONID TO Solution_Id'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_APPLICATION_ICON RENAME COLUMN ContentHash TO Content_Hash'; EXCEPTION WHEN OTHERS THEN NULL; END;
/


-- %VERSION_UPGRADE% = "5.9.9.7" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.7' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "5.9.9.8" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.8' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "5.9.9.9" 
-- %TABLE_NOT_EXISTS% = "OSSYS_GROUP"
CREATE TABLE OSSYS_GROUP (ID NUMBER(10,0) NOT NULL ENABLE, NAME VARCHAR2(100) DEFAULT ' ',DESCRIPTION VARCHAR2(500) DEFAULT ' ' , CREATED_BY NUMBER(10,0), CREATED TIMESTAMP) TABLESPACE "OSSYS" ;
ALTER TABLE OSSYS_GROUP ADD CONSTRAINT PK_OSSYS_GROUP PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE OSSEQ_OSSYS_GROUP MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_OSSYS_GROUP BEFORE INSERT ON OSSYS_GROUP FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_OSSYS_GROUP.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_GROUP TO hubruntime;
/
-- %END_IGNORING_BLOCK%
-- %TABLE_NOT_EXISTS% = "OSSYS_GROUP_PERMISSION"
CREATE TABLE OSSYS_GROUP_PERMISSION (ID NUMBER(10,0) NOT NULL ENABLE, GROUP_ID NUMBER(10,0), PERMISSION_ID NUMBER(10,0)) TABLESPACE "OSSYS" ;
ALTER TABLE OSSYS_GROUP_PERMISSION ADD CONSTRAINT PK_OSSYS_GROUP_PERMISSION PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE OSSEQ_OSSYS_GROUP_PERMISSION MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_OSSYS_GROUP_PERMISSION BEFORE INSERT ON OSSYS_GROUP_PERMISSION FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_OSSYS_GROUP_PERMISSION.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_GROUP_PERMISSION TO hubruntime;
/
-- %END_IGNORING_BLOCK%
-- %TABLE_NOT_EXISTS% = "OSSYS_GROUP_USER"
CREATE TABLE OSSYS_GROUP_USER (ID NUMBER(10,0) NOT NULL ENABLE, GROUP_ID NUMBER(10,0), USER_ID NUMBER(10,0)) TABLESPACE "OSSYS";
ALTER TABLE OSSYS_GROUP_USER ADD CONSTRAINT PK_OSSYS_GROUP_USER PRIMARY KEY ("ID") USING INDEX TABLESPACE "OSIDX";
CREATE SEQUENCE OSSEQ_OSSYS_GROUP_USER MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_OSSYS_GROUP_USER BEFORE INSERT ON OSSYS_GROUP_USER FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_OSSYS_GROUP_USER.nextval) INTO :new.ID FROM dual; END IF; END;
GRANT SELECT,INSERT,DELETE,UPDATE ON OSSYS_GROUP_USER TO hubruntime;
/
-- %END_IGNORING_BLOCK%

UPDATE OSSYS_PARAMETER SET Val='5.9.9.9' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.10" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.10' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.11" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.11' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.12" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.12' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.13" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.13' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.15" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.15' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.17" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.17' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.18" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.18' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.20" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.20' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "5.9.9.23" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.23' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.24" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.24' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.25" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.25' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.26" 
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD IS_USER_PROVIDER NUMBER (1,0)'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD USER_PROVIDER_KEY VARCHAR (100) NULL'; EXCEPTION WHEN OTHERS THEN NULL; END;
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD USER_PROVIDER_NAME VARCHAR (35) NULL'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
UPDATE OSSYS_PARAMETER SET Val='5.9.9.26' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "5.9.9.27" 
-- %TABLE_EXISTS% = "OSSYS_ROLE"
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_Role TO ossys_ServiceCenter_Role'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_ServiceCenter_Role' where lower(physical_table_name) = 'ossys_role';
/
-- %END_IGNORING_BLOCK%
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_Permission_Area TO ossys_Role'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_Role' where lower(physical_table_name) = 'ossys_permission_area';
/
-- %TABLE_NOT_EXISTS% = "OSSYS_USER_ROLE"
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_User_Permission TO ossys_User_Role'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_User_Role' where lower(physical_table_name) = 'ossys_user_permission';
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_User_Role RENAME COLUMN Permission_Id TO Role_Id'; END;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_BPM_ACTIVITY_DEF_ROLE"
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_BPM_Activity_Def_Perm TO ossys_BPM_Activity_Def_Role'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_BPM_Activity_Def_Role' where lower(physical_table_name) = 'ossys_bpm_activity_def_perm';
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_BPM_Activity_Def_Role RENAME COLUMN Permission_Id TO Role_Id'; END;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_GROUP_ROLE"
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_Group_Permission TO ossys_Group_Role'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_Group_Role' where lower(physical_table_name) = 'ossys_group_permission';
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_Group_Role RENAME COLUMN Permission_Id TO Role_Id'; END;
/
-- %END_IGNORING_BLOCK%
CREATE OR REPLACE FUNCTION CheckRole (RoleId IN NUMBER,UserId IN NUMBER) RETURN NUMBER IS result NUMBER; BEGIN SELECT COUNT(1) INTO result FROM ossys_User_Role u WHERE u.User_Id=UserId AND u.Role_Id=RoleId; IF result > 0 THEN RETURN 1; END IF; SELECT COUNT(1) INTO result FROM ossys_Group_Role r JOIN ossys_Group_User u ON r.Group_Id=u.Group_Id WHERE u.User_Id=UserId AND r.Role_Id=RoleId; IF result > 0 THEN RETURN 1; END IF; RETURN 0; END;
grant execute on CheckRole to hubruntime;
/
CREATE OR REPLACE VIEW ossys_User_Effective_Role AS SELECT Role_Id, User_Id FROM ossys_User_Role UNION SELECT Role_Id, User_Id FROM ossys_Group_Role gr JOIN ossys_Group_User gu ON gr.Group_Id = gu.Group_Id;
grant select,insert,delete,update on ossys_User_Effective_Role to hubruntime;
/
UPDATE ossys_espace_reference SET Kind='Role' WHERE LOWER(Kind)='permissionarea';
UPDATE ossys_espace_reference SET Kind='WebBlock' WHERE LOWER(Kind)='webwidget';
UPDATE ossys_espace_reference SET Kind='ConditionalStart' WHERE LOWER(Kind)='eventlistener';
UPDATE ossys_espace_reference SET Kind='ExtensionContent' WHERE LOWER(Kind)='content';
/
-- %VERSION_UPGRADE% = "5.9.9.27" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.27' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.28" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.28' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.30" 
UPDATE ossys_entity SET physical_table_name = 'ossys_User_Effective_Role' WHERE LOWER(physical_table_name) = 'ossys_user_effective_perm';
/
-- %VERSION_UPGRADE% = "5.9.9.32" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.32' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.33" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.33' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.34"
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_BPM_Activity_Def_Role DROP COLUMN Permission_Id'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
-- %TABLE_EXISTS% = "OSSYS_ASYNC_OP_MESSAGE"
DELETE FROM OSSYS_ASYNC_OP_MESSAGE WHERE NOT EXISTS (SELECT 1 FROM OSSYS_ASYNC_OP_STATE WHERE OSSYS_ASYNC_OP_STATE.ID = OSSYS_ASYNC_OP_MESSAGE.STATE_ID);
-- %VERSION_UPGRADE% = "5.9.9.35" 
UPDATE OSSYS_PARAMETER SET Val='5.9.9.35' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "5.9.9.36" 
INSERT INTO OSSYS_PARAMETER (name,Val) values('OutSystems.HubEdition.SerialCalculationMethod','hash');
/
-- %VERSION_UPGRADE% = "6.0.0.0" 
UPDATE OSSYS_PARAMETER SET Val='6.0.0.0' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "6.0.0.1" 
UPDATE OSSYS_PARAMETER SET Val='6.0.0.1' WHERE name='lastupgradeversion'; 
/

CREATE VIEW OSSYS_PERMISSION_AREA AS SELECT ID, ESPACE_ID, SS_KEY, NAME, DESCRIPTION, PERSISTENT, IS_ACTIVE FROM OSSYS_ROLE;
grant select,insert,delete,update on OSSYS_PERMISSION_AREA to hubruntime;
/

CREATE VIEW OSSYS_USER_PERMISSION AS SELECT ID, USER_ID, ROLE_ID PERMISSION_AREA_ID, TENANT_ID FROM OSSYS_USER_ROLE;
grant select,insert,delete,update on OSSYS_USER_PERMISSION to hubruntime;
/

DECLARE CURSOR c_t IS SELECT ID FROM ossys_tenant WHERE espace_id IN (SELECT espace_id FROM ossys_espace_entity WHERE lower(NAME)=lower('User')) or espace_id in (select id from ossys_espace where is_user_provider=1 or lower(name)='servicecenter'); BEGIN   FOR rec IN c_t loop  EXECUTE IMMEDIATE 'CREATE OR REPLACE VIEW OSSYS_USER_T'||rec.id||' AS SELECT TENANT_ID,ID,NAME,USERNAME,PASSWORD,EMAIL,MOBILEPHONE MSISDN,EXTERNAL_ID,CREATION_DATE,LAST_LOGIN,IS_ACTIVE FROM OSSYS_USER WHERE TENANT_ID = '||rec.id;  END loop;END;
/

INSERT INTO OSSYS_PARAMETER (NAME, VAL) VALUES ('Compiler.UpgradeTo60Instant', to_char(sysdate,'YYYY-MM-DD HH24:MI:SS'));
/

-- %VERSION_UPGRADE% = "6.0.0.91" 
BEGIN EXECUTE IMMEDIATE 'DROP TABLE ossys_eSpace_Pending'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
-- %VERSION_UPGRADE% = "6.0.0.91" 
UPDATE OSSYS_PARAMETER SET Val='6.0.0.91' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "6.0.0.93" 
UPDATE OSSYS_PARAMETER SET Val='6.0.0.93' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "6.0.0.97" 
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE_VERSION ADD ESPACE_NAME VARCHAR (35) NULL'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_ESPACE ADD PENDING_VERSION_ID NUMBER(10,0) NULL'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
-- %VERSION_UPGRADE% = "6.0.0.98"
DELETE FROM OSSYS_PARAMETER WHERE name='IIS.ApplicationPool';
/

-- %VERSION_UPGRADE% = "6.0.0.99"
-- %TABLE_EXISTS% = "OSSYS_REPORT_SU"
DELETE FROM OSSYS_REPORT_SU;
-- %COLUMN_NOT_EXISTS% = "OSSYS_REPORT_SU.HMAC"
ALTER TABLE OSSYS_REPORT_SU ADD HMAC varchar(50) NULL ;
-- %COLUMN_NOT_EXISTS% = "OSSYS_REPORT_SU.LASTUPDATEDATE"
ALTER TABLE OSSYS_REPORT_SU ADD LASTUPDATEDATE TIMESTAMP NULL ;
-- %COLUMN_EXISTS% = "OSSYS_REPORT_SU.VERSIONID"
ALTER TABLE OSSYS_REPORT_SU DROP COLUMN VERSIONID CASCADE CONSTRAINTS;
-- %END_IGNORING_BLOCK%
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.OMLHASH"
ALTER TABLE OSSYS_ESPACE_VERSION ADD OMLHASH VARCHAR (50) NULL;
/
-- %TABLE_EXISTS% = "OSSYS_REPORT_SU_DETAIL"
DROP TABLE OSSYS_REPORT_SU_DETAIL;
/
-- %TABLE_EXISTS% = "OSSYS_REPORT_SU_INDICATORS"
DROP TABLE OSSYS_REPORT_SU_INDICATORS;
/

-- %VERSION_UPGRADE% = "6.0.1.0"

-- %TABLE_NOT_EXISTS% = "OSSYS_PRODUCT"
CREATE TABLE OSSYS_PRODUCT (ID NUMBER(10, 0) NOT NULL, PRODUCT_ID VARCHAR2(50), NAME VARCHAR2(250), DESCRIPTION CLOB, LICENSE_TERM_DATE TIMESTAMP, LICENSE BLOB, HMAC VARCHAR2(50), HMACVERSION VARCHAR2(50), LICENSE_ACTIVATION_CODE VARCHAR2(40) ) TABLESPACE "OSSYS" LOB("LICENSE") STORE AS ( TABLESPACE "OSSYS" STORAGE (  MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0) ENABLE STORAGE IN ROW NOCACHE CHUNK 32768 PCTVERSION 20);
CREATE SEQUENCE OSSEQ_1_OSSYS_PRODUCT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_1_OSSYS_PRODUCT BEFORE INSERT ON OSSYS_PRODUCT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_1_OSSYS_PRODUCT.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_PRODUCT to hubruntime;
ALTER TABLE OSSYS_PRODUCT ADD ( CONSTRAINT PK_OSSYS_PRODUCT PRIMARY KEY ( ID ) USING INDEX TABLESPACE "OSIDX" );
CREATE INDEX OSIDX_OSSYS_PRODUCT_10PRO22528 ON OSSYS_PRODUCT ( PRODUCT_ID ) TABLESPACE "OSIDX";
-- %END_IGNORING_BLOCK%
/

-- %TABLE_NOT_EXISTS% = "OSSYS_ESPACE_PRODUCTINFO"
CREATE TABLE OSSYS_ESPACE_PRODUCTINFO ( ESPACEID NUMBER(10, 0) NOT NULL, PRODUCT_ID VARCHAR2(50), PRODUCT_NAME VARCHAR2(250), IS_OPEN_SOURCE NUMBER(1, 0), LASTUPDATEDATE TIMESTAMP, HMAC VARCHAR2(50), HMACVERSION VARCHAR2(50) ) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_ESPACE_PRODUCTINFO to hubruntime;
ALTER TABLE OSSYS_ESPACE_PRODUCTINFO ADD ( CONSTRAINT PK_OSSYS_ESPACE_PRODUCTINFO PRIMARY KEY ( ESPACEID ) USING INDEX TABLESPACE "OSIDX" ) ;
-- %END_IGNORING_BLOCK%
/

-- %VERSION_UPGRADE% = "6.0.1.1"
-- %COLUMN_NOT_EXISTS% = "OSSYS_ACTIVATION.HMAC"
ALTER TABLE OSSYS_ACTIVATION ADD HMAC VARCHAR (50) NULL;
/

-- %VERSION_UPGRADE% = "6.0.1.2" 
UPDATE OSSYS_PARAMETER SET Val='6.0.1.2' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "6.9.10.0" 
UPDATE OSSYS_PARAMETER SET Val='6.9.10.0' WHERE name='lastupgradeversion'; 
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_DBCATALOG.USEINTEGRATEDAUTH"
ALTER TABLE OSSYS_DBCATALOG ADD USEINTEGRATEDAUTH NUMBER(1,0) DEFAULT (0) NOT NULL;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_MODULE_PUBLICELEMENT"
CREATE TABLE OSSYS_MODULE_PUBLICELEMENT (ID NUMBER (10,0) NOT NULL, NAME VARCHAR2(50) DEFAULT '', KIND VARCHAR2(20) DEFAULT '', SS_KEY VARCHAR2(100) DEFAULT '', PRODUCER_NAME VARCHAR2(50) DEFAULT '', PRODUCER_KIND VARCHAR2(20) DEFAULT '', PRODUCER_SS_KEY VARCHAR2(100) DEFAULT '', PUBLISHED_PROD_VERSION_ID NUMBER (10,0), COMPATIBILITY_SIGNATURE_HASH VARCHAR2(50) DEFAULT '', FULL_SIGNATURE_HASH VARCHAR2(50) DEFAULT '') TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_MODULE_PUBLICELEMENT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_MODULE_PUBLICELEMENT BEFORE INSERT ON OSSYS_MODULE_PUBLICELEMENT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_MODULE_PUBLICELEMENT.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_MODULE_PUBLICELEMENT to hubruntime;
/
-- %END_IGNORING_BLOCK%
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_REFERENCE.COMPATIBILITY_SIGNATURE_HASH"
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD COMPATIBILITY_SIGNATURE_HASH VARCHAR (50) NULL
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_REFERENCE.FULL_SIGNATURE_HASH"
ALTER TABLE OSSYS_ESPACE_REFERENCE ADD FULL_SIGNATURE_HASH VARCHAR (50) NULL
/

-- %TABLE_EXISTS% = "OSSYS_ESPACE_REFERENCE_HASH"
UPDATE OSSYS_ESPACE_REFERENCE ER SET (COMPATIBILITY_SIGNATURE_HASH, FULL_SIGNATURE_HASH) = ( SELECT ERH.COMPATIBILITY_SIGNATURE_HASH, ERH.FULL_SIGNATURE_HASH	FROM OSSYS_ESPACE_REFERENCE_HASH ERH WHERE ER.ID = ERH.ID	);
/
DROP TABLE OSSYS_ESPACE_REFERENCE_HASH ;
/
-- %END_IGNORING_BLOCK%
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_ACTIVATION.HMACVERSION"
ALTER TABLE OSSYS_ACTIVATION ADD HMACVERSION VARCHAR(50) NULL ;
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.OMLHASHVERSION"
ALTER TABLE OSSYS_ESPACE_VERSION ADD OMLHASHVERSION varchar(50) NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.HMAC"
ALTER TABLE OSSYS_ESPACE_VERSION ADD HMAC varchar(50) NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.HMACVERSION"
ALTER TABLE OSSYS_ESPACE_VERSION ADD HMACVERSION varchar(50) NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.LASTUPDATEDATE"
ALTER TABLE OSSYS_ESPACE_VERSION ADD LASTUPDATEDATE TIMESTAMP NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_EXTENSION_VERSION.HMACVERSION"
ALTER TABLE OSSYS_EXTENSION_VERSION ADD HMACVERSION varchar(50) NULL ;
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_REPORT_SU.HMACVERSION"
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TABLES WHERE TABLE_NAME = 'OSSYS_REPORT_SU'; IF v_exists = 1 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_REPORT_SU ADD HMACVERSION varchar(50) NULL';END; END IF; END;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE.HMAC"
ALTER TABLE OSSYS_ESPACE ADD HMAC varchar(50) NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE.HMACVERSION"
ALTER TABLE OSSYS_ESPACE ADD HMACVERSION varchar(50) NULL ;
/


-- %TABLE_EXISTS% = "OSSYS_APP_TMP_UPGRADE"
DECLARE v_exists NUMBER(10,0); BEGIN SELECT COUNT(1) INTO v_exists FROM OSSYS_PARAMETER P1, OSSYS_PARAMETER P2 WHERE P1.NAME = 'version' AND P2.NAME = 'previousversion' AND P1.VAL = P2.VAL; IF v_exists > 0 THEN BEGIN EXECUTE IMMEDIATE 'DROP TABLE OSSYS_APP_TMP_UPGRADE'; END; END IF; END;
/
-- %END_IGNORING_BLOCK%
/
-- %COLUMN_EXISTS% = "OSSYS_APPLICATION.SOLUTION_ID"
CREATE TABLE OSSYS_APP_TMP_UPGRADE (APP_ID NUMBER(10,0) DEFAULT 0 NULL, SOL_ID NUMBER(10,0) DEFAULT 0 NULL);
/
INSERT INTO OSSYS_APP_TMP_UPGRADE (APP_ID, SOL_ID) SELECT ID, SOLUTION_ID FROM OSSYS_APPLICATION WHERE SOLUTION_ID IS NOT NULL;
/

ALTER TABLE OSSYS_APPLICATION DROP COLUMN SOLUTION_ID CASCADE CONSTRAINTS;
/
-- %END_IGNORING_BLOCK%
/

CREATE OR REPLACE VIEW ossys_Espace_Tenant AS SELECT oe1.ID ESPACE_ID, ot.ID TENANT_ID, ot.NAME TENANT_NAME, ot.IS_ACTIVE FROM OSSYS_TENANT ot INNER JOIN OSSYS_ESPACE oe ON ot.ESPACE_ID=oe.ID AND oe.IS_ACTIVE=1 INNER JOIN OSSYS_ESPACE oe1 ON (oe1.USER_PROVIDER_KEY=oe.SS_KEY AND oe1.IS_ACTIVE=1) OR (oe.ID=oe1.ID AND COALESCE(oe1.USER_PROVIDER_KEY, ' ') = ' ');
grant select on ossys_Espace_Tenant to hubruntime;
/

-- %TABLE_NOT_EXISTS% = "OSSYS_SITE_PROPERTY_SHARED"
CREATE TABLE OSSYS_SITE_PROPERTY_SHARED(SITE_PROPERTY_DEFINITION_ID NUMBER (10,0) NOT NULL,PROPERTY_VALUE VARCHAR2 (2000) NOT NULL, USER_MODIFIED NUMBER(1,0) DEFAULT(0)) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_SITE_PROPERTY_SHARED to hubruntime;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_SITE_PROPERTY_DEFINITION.IS_SHARED"
ALTER TABLE OSSYS_SITE_PROPERTY_DEFINITION ADD IS_SHARED NUMBER(1,0) DEFAULT(0) NOT NULL;
/

CREATE TABLE OSSYS_CYCLIC_JOB_SHARED(META_CYCLIC_JOB_ID NUMBER (10,0) NOT NULL,SCHEDULE VARCHAR2 (2000) ,LAST_RUN TIMESTAMP ,NEXT_RUN TIMESTAMP ,LAST_DURATION NUMBER (10,0) ,IS_RUNNING_SINCE TIMESTAMP ,IS_RUNNING_BY VARCHAR2 (50), NUMBER_OF_TRIES NUMBER (10,0) DEFAULT(0)) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_CYCLIC_JOB_SHARED to hubruntime;

/

-- %COLUMN_NOT_EXISTS% = "OSSYS_META_CYCLIC_JOB.IS_SHARED"
ALTER TABLE OSSYS_META_CYCLIC_JOB ADD IS_SHARED NUMBER(1,0) DEFAULT(0) NOT NULL;
/
-- %END_IGNORING_BLOCK%

-- %BEGIN_STATEMENT%
INSERT INTO ossys_site_property_shared (Site_Property_Definition_Id, Property_Value, User_Modified) 
SELECT DISTINCT spd.Id, COALESCE(sp.PROPERTY_VALUE, spd.DEFAULT_VALUE), COALESCE(sp.User_Modified, 0)
FROM ossys_site_property_definition spd
INNER JOIN ossys_Espace ON ossys_Espace.Id = spd.ESPACE_ID
LEFT JOIN ossys_site_property sp ON sp.SITE_PROPERTY_DEFINITION_ID = spd.ID
LEFT OUTER JOIN ossys_site_property_shared checkExists ON checkExists.Site_Property_Definition_Id=spd.Id
WHERE ossys_Espace.IS_MULTITENANT = 0
  AND spd.Is_Active=1
  AND (sp.TENANT_ID = (SELECT MIN(ID) FROM ossys_Tenant where ossys_Tenant.ESPACE_ID = ossys_Espace.id) OR sp.Id IS NULL)
  AND checkExists.Site_Property_Definition_Id IS NULL;
-- %END_STATEMENT%
/

-- %BEGIN_STATEMENT%
UPDATE (
  SELECT ossys_Site_Property_Definition.Is_Shared
  FROM ossys_Site_Property_Definition
  INNER JOIN ossys_Espace ON ossys_Espace.Id = ossys_Site_Property_Definition.ESPACE_ID
  WHERE ossys_Espace.IS_MULTITENANT = 0
)
SET Is_Shared = 1;
-- %END_STATEMENT%
/

-- %BEGIN_STATEMENT%
INSERT INTO ossys_Cyclic_Job_Shared ( META_CYCLIC_JOB_ID, Schedule, NEXT_RUN )
SELECT DISTINCT mcj.Id, cj1.Schedule, cj1.NEXT_RUN
FROM ossys_meta_cyclic_job mcj
INNER JOIN ossys_Espace ON ossys_Espace.Id = mcj.ESPACE_ID
INNER JOIN ossys_cyclic_job cj1 ON cj1.META_CYCLIC_JOB_ID = mcj.ID
LEFT OUTER JOIN ossys_Cyclic_Job_Shared existsCheck ON existsCheck.META_CYCLIC_JOB_ID = mcj.Id
WHERE ossys_Espace.IS_MULTITENANT = 0
  AND mcj.Is_Active=1
  AND existsCheck.META_CYCLIC_JOB_ID IS NULL
  AND cj1.TENANT_ID = (SELECT MIN(ID) FROM ossys_Tenant where ossys_Tenant.ESPACE_ID = ossys_Espace.Id);
-- %END_STATEMENT%
/

-- %BEGIN_STATEMENT%
UPDATE (
  SELECT ossys_meta_cyclic_job.Is_Shared
  FROM ossys_meta_cyclic_job
  INNER JOIN ossys_Espace ON ossys_Espace.Id = ossys_meta_cyclic_job.ESPACE_ID
  WHERE ossys_Espace.IS_MULTITENANT = 0
)
SET Is_Shared = 1;
-- %END_STATEMENT%
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_GROUP_ROLE.TENANT_ID"
ALTER TABLE OSSYS_GROUP_ROLE ADD TENANT_ID NUMBER(10,0) DEFAULT(0) NOT NULL;
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_GROUP_USER.TENANT_ID"
ALTER TABLE OSSYS_GROUP_USER ADD TENANT_ID NUMBER(10,0) DEFAULT(0) NOT NULL;
/
-- %END_IGNORING_BLOCK%
/

CREATE OR REPLACE VIEW ossys_User_Effective_Role AS SELECT Role_Id, User_Id, Tenant_Id FROM ossys_User_Role UNION SELECT Role_Id, User_Id, gr.Tenant_Id FROM ossys_Group_Role gr JOIN ossys_Group_User gu ON gr.Group_Id = gu.Group_Id AND gr.Tenant_Id = gu.Tenant_Id;
grant select,insert,delete,update on ossys_User_Effective_Role to hubruntime;
/


UPDATE (SELECT ossys_Group_User.Tenant_Id groupUserTenantId, ossys_User.Tenant_Id userTenantId FROM ossys_Group_User INNER JOIN ossys_User on ossys_User.Id = ossys_Group_User.User_Id) SET groupUserTenantId = userTenantId
/

UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_msisdn' where Name = 'Msisdn_Tenant';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_Email_Cont' where Name = 'Email_Content';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_Persist_Log' where Name = 'Persistent_Login';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'oslog_web_ref' where Name = 'Log_Web_Reference';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_UserEffRole' where Name = 'User_Effective_Role';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_virtual_num' where Name = 'Virtual_Number';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_site_prop' where Name = 'Site_Property';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_User_Role' where Name = 'User_Role';

/

CREATE OR REPLACE FUNCTION CheckRole (RoleId IN NUMBER,UserId IN NUMBER) RETURN NUMBER IS result NUMBER; BEGIN SELECT COUNT(1) INTO result FROM ossys_User_Role u inner join OSSYS_USER on u.USER_ID = OSSYS_USER.ID WHERE u.User_Id=UserId AND u.Role_Id=RoleId and OSSYS_USER.IS_ACTIVE=1; IF result > 0 THEN RETURN 1; END IF; SELECT COUNT(1) INTO result FROM ossys_Group_Role r JOIN ossys_Group_User u ON r.Group_Id=u.Group_Id inner join OSSYS_USER on u.USER_ID = OSSYS_USER.ID WHERE u.User_Id=UserId AND r.Role_Id=RoleId and OSSYS_USER.IS_ACTIVE=1; IF result > 0 THEN RETURN 1; END IF; RETURN 0; END;
grant execute on CheckRole to hubruntime;
/

-- %VERSION_UPGRADE% = "6.9.10.14"

-- %COLUMN_EXISTS% = "OSSYS_APPLICATION.IS_ACTIVE"
-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.FixDeletedApplicationKeys"
-- %END_IGNORING_BLOCK%

-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.UpgradeTenantIds"


ALTER TABLE ossys_user_role DISABLE ALL TRIGGERS;
DELETE FROM ossys_user_role WHERE Id NOT IN (SELECT max(id) from ossys_user_role group by user_id, role_id);
UPDATE ossys_user_role SET tenant_id=(SELECT tenant_id FROM ossys_user u WHERE u.id=user_id);
ALTER TABLE ossys_user_role ENABLE ALL TRIGGERS;
/
-- %TABLE_NOT_EXISTS% = "OSSYS_TENANT_VIEW"
CREATE TABLE OSSYS_TENANT_VIEW(TENANT_ID NUMBER (10,0) NOT NULL, ENTITY_KEY VARCHAR2 (50) NOT NULL, ESPACE_ID NUMBER (10,0) NOT NULL) TABLESPACE "OSSYS";
grant select,insert,delete,update on OSSYS_TENANT_VIEW to hubruntime;

/
-- %TABLE_NOT_EXISTS% = "OSSYS_ESPACE_RUNTIME"
CREATE TABLE OSSYS_ESPACE_RUNTIME(ID NUMBER(10,0) NOT NULL ENABLE, ESPACE_ID NUMBER(10,0) DEFAULT NULL, BROKEN_REFERENCES NUMBER(10,0) DEFAULT 0, OUTDATED_REFERENCES NUMBER(10,0) DEFAULT 0, MISSING_REFERENCES NUMBER(10,0) DEFAULT 0, OUTDATED_MISSING_REFERENCES NUMBER(10,0) DEFAULT 0, OLDPRODUCER_REFERENCES NUMBER(10,0) DEFAULT 0, UNASSIGNED_PHONES NUMBER(1,0) DEFAULT 0, REQUIRES_COMPILATION NUMBER(1,0) DEFAULT 0, DISABLED NUMBER(1,0) DEFAULT 0, USERPROVIDER_VERSION_ID NUMBER(10,0) DEFAULT NULL, OUTDATED_USERPROVIDER NUMBER(1,0) DEFAULT 0, MISSING_USERPROVIDER NUMBER(1,0) DEFAULT 0, OLDPRODUCER_USERPROVIDER NUMBER(1,0) DEFAULT 0) TABLESPACE "OSSYS";
CREATE SEQUENCE OSSEQ_ESPACE_RUNTIME MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE TRIGGER OSTRG_ESPACE_RUNTIME BEFORE INSERT ON OSSYS_ESPACE_RUNTIME FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_RUNTIME.nextval) INTO :new.ID FROM dual; END IF; END;
grant select,insert,delete,update on OSSYS_ESPACE_RUNTIME to hubruntime;

/
-- %END_IGNORING_BLOCK%
/
-- %BEGIN_STATEMENT%
CREATE OR REPLACE PROCEDURE DEQUEUE_OSSYS_EVENT(BatchSize IN NUMBER, Ip IN VARCHAR2, NullDate IN TIMESTAMP, ActivityId IN NUMBER, RecordSet OUT SYS_REFCURSOR) AS
    v_DequeueTime TIMESTAMP := GETDATE();
    v_LockHandle VARCHAR2(128);

    CURSOR MessageCursor IS
        SELECT ID, ESPACE_ID, TENANT_ID, ACTIVITY_ID, PROCESS_DEF_ID, DATA_ID, ENQUEUE_TIME, NEXT_RUN
        FROM OSSYS_BPM_EVENT_QUEUE
        WHERE DEQUEUE_TIME IS NULL 
              AND NEXT_RUN <= v_DequeueTime
              AND OSSYS_BPM_EVENT_QUEUE.ID IN (SELECT q.ID
                                               FROM OSSYS_BPM_EVENT_QUEUE q
                                               INNER JOIN OSSYS_ESPACE espace ON q.ESPACE_ID = espace.ID AND espace.IS_ACTIVE = 1 AND espace.IS_LOCKED = 0
                                               LEFT JOIN OSSYS_ESPACE_RUNTIME runtime ON runtime.ESPACE_ID = q.ESPACE_ID
                                               LEFT JOIN OSSYS_TENANT tenant ON q.TENANT_ID = tenant.Id
                                               LEFT JOIN OSSYS_BPM_ACTIVITY act ON q.ACTIVITY_ID = act.Id
                                               LEFT JOIN OSSYS_BPM_PROCESS process ON act.PROCESS_ID = process.Id
                                               INNER JOIN OSSYS_BPM_PROCESS_DEFINITION processDef ON (process.PROCESS_DEF_ID = processDef.ID OR q.PROCESS_DEF_ID = processDef.ID) AND processDef.IS_LOCKED = 0 AND processDef.IS_ACTIVE = 1
                                               WHERE (runtime.Id IS NULL OR runtime.Disabled = 0) 
                                               		 AND (tenant.ID IS NULL OR tenant.IS_ACTIVE = 1)
                                                     AND (espace.ZONE_ID IS NULL OR Ip = '' OR espace.ZONE_ID IN (SELECT OSSYS_ZONE_SERVER.ZONE_ID from OSSYS_ZONE_SERVER JOIN OSSYS_SERVER on OSSYS_ZONE_SERVER.SERVER_ID = OSSYS_SERVER.ID and OSSYS_SERVER.IP_ADDRESS = Ip))
                                                     AND (act.ID IS NULL OR ((act.IS_RUNNING_SINCE IS NULL Or act.IS_RUNNING_SINCE = NullDate) AND process.STATUS_ID = 1))
                                              )
              AND ROWNUM <= BatchSize
              AND (ActivityId = 0 OR ACTIVITY_ID = ActivityId)
        ORDER BY NEXT_RUN ASC
        FOR UPDATE SKIP LOCKED;

    v_record OSSYS_BPM_EVENT_QUEUE_TMP%ROWTYPE;
BEGIN
    OPEN MessageCursor;
    LOOP
        FETCH MessageCursor INTO v_record;
        EXIT WHEN MessageCursor%NOTFOUND;

        INSERT INTO OSSYS_BPM_EVENT_QUEUE_TMP VALUES v_record;
    END LOOP;
    CLOSE MessageCursor;

    UPDATE OSSYS_BPM_EVENT_QUEUE SET DEQUEUE_TIME = v_DequeueTime
    WHERE OSSYS_BPM_EVENT_QUEUE.ID IN (SELECT ID FROM OSSYS_BPM_EVENT_QUEUE_TMP);

    OPEN RecordSet FOR
        SELECT t.ID, 
               t.ESPACE_ID,
               t.TENANT_ID,
               t.ACTIVITY_ID,
               act.PROCESS_ID,
               t.PROCESS_DEF_ID,
               t.DATA_ID DATA_ID,
               ROUND(to_date(to_char(t.ENQUEUE_TIME,'YYYY-MM-DD'),'YYYY-MM-DD') - to_date(to_char(GETDATE(),'YYYY-MM-DD'),'YYYY-MM-DD')) DAYS_SINCE_QUEUED, 
               espace.NAME ESPACE_NAME,
               espace.IS_MULTITENANT,
               tenant.NAME TENANT_NAME,
               act_def.ss_key ACTIVITY_KEY,
               pdef.ss_key PROCESS_DEF_KEY,
               (SELECT 1 FROM DUAL
			    WHERE act.Tenant_Id IS NOT NULL OR t.Tenant_Id IS NULL OR (t.Tenant_Id IS NOT NULL AND
			      EXISTS(SELECT 1 from ossys_espace_tenant et
					     WHERE et.Espace_Id = espace.id and et.Tenant_Id = t.Tenant_Id))) valid_tenant
        FROM OSSYS_BPM_EVENT_QUEUE_TMP t
             INNER JOIN OSSYS_ESPACE espace ON t.ESPACE_ID = espace.ID
             LEFT JOIN OSSYS_TENANT tenant ON t.TENANT_ID = tenant.ID
             LEFT JOIN OSSYS_BPM_ACTIVITY act ON t.Activity_Id = act.ID
             LEFT JOIN OSSYS_BPM_ACTIVITY_DEFINITION act_def ON act.ACTIVITY_DEF_ID = act_def.ID
             LEFT JOIN OSSYS_BPM_PROCESS_DEFINITION pdef ON t.PROCESS_DEF_ID = pdef.ID;

END;
-- %END_STATEMENT%
GRANT EXECUTE ON DEQUEUE_OSSYS_EVENT TO hubruntime;
/

-- %TABLE_EXISTS% = "OSSYS_DBCATALOG"
-- %BEGIN_STATEMENT%
BEGIN
FOR rec IN (SELECT OWNERUSERNAME FROM OSSYS_DBCATALOG WHERE OWNERUSERNAME IS NOT NULL and OWNERUSERNAME <> ' ') LOOP
  BEGIN
    EXECUTE IMMEDIATE 'GRANT INSERT,SELECT,UPDATE,DELETE ON OSSYS_TENANT_VIEW TO "' || rec.OWNERUSERNAME || '" ';
  EXCEPTION 
     WHEN OTHERS THEN NULL;
  END;
END LOOP;
END;
-- %END_STATEMENT%
/

/
-- %VERSION_UPGRADE% = "6.9.10.31"
-- %COLUMN_EXISTS% = "OSSYS_APP_VERSION.APP_DEFINITION_ID"
ALTER TABLE OSSYS_APP_VERSION DROP COLUMN APP_DEFINITION_ID CASCADE CONSTRAINTS;
/
-- %TABLE_EXISTS% = "OSSYS_TENANT_VIEW"
DELETE FROM OSSYS_TENANT_VIEW
/
-- %END_IGNORING_BLOCK%
/
-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.FixEventTriggers"
/
-- %VERSION_UPGRADE% = "7.0.0.0" 
UPDATE OSSYS_PARAMETER SET Val='7.0.0.0' WHERE name='lastupgradeversion'; 
/
-- %VERSION_UPGRADE% = "7.0.0.1" 
UPDATE OSSYS_PARAMETER SET Val='7.0.0.1' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "7.0.0.3" 

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.DIRECT_UPGRADE_FROM_HASH"
ALTER TABLE OSSYS_ESPACE_VERSION ADD DIRECT_UPGRADE_FROM_HASH varchar(50) NULL ;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_EXTENSION_VERSION.DIRECT_UPGRADE_FROM_HASH"
ALTER TABLE OSSYS_EXTENSION_VERSION ADD DIRECT_UPGRADE_FROM_HASH varchar(50) NULL ;
/

-- %VERSION_UPGRADE% = "7.0.0.7"

CREATE OR REPLACE FUNCTION CheckRole (RoleId IN NUMBER,UserId IN NUMBER) RETURN NUMBER IS result NUMBER; BEGIN SELECT COUNT(1) INTO result FROM ossys_User_Role u inner join OSSYS_USER on u.USER_ID = OSSYS_USER.ID and u.Tenant_Id = ossys_User.Tenant_Id WHERE u.User_Id=UserId AND u.Role_Id=RoleId and OSSYS_USER.IS_ACTIVE=1; IF result > 0 THEN RETURN 1; END IF; SELECT COUNT(1) INTO result FROM ossys_Group_Role r JOIN ossys_Group_User u ON r.Group_Id=u.Group_Id and r.Tenant_Id=u.Tenant_Id inner join OSSYS_USER on u.USER_ID = OSSYS_USER.ID and u.Tenant_Id = OSSYS_USER.Tenant_Id WHERE u.User_Id=UserId AND r.Role_Id=RoleId and OSSYS_USER.IS_ACTIVE=1; IF result > 0 THEN RETURN 1; END IF; RETURN 0; END;
grant execute on CheckRole to hubruntime;
/

-- %COLUMN_NOT_EXISTS% = "OSSYS_GROUP.TENANT_ID"
ALTER TABLE OSSYS_GROUP ADD TENANT_ID NUMBER(10,0) DEFAULT(0) NOT NULL;
/
-- %END_IGNORING_BLOCK%
/

UPDATE (SELECT ossys_Group.Tenant_Id groupTenantId FROM ossys_Group) SET groupTenantId = (SELECT Tenant_Id FROM (SELECT u.Tenant_Id FROM ossys_User u INNER JOIN ossys_Tenant ON u.Tenant_Id = ossys_Tenant.Id WHERE ossys_Tenant.Is_Active = 1 AND ossys_Tenant.Id NOT IN (SELECT t.Id FROM ossys_Tenant t INNER JOIN ossys_Espace e ON t.Espace_Id = e.Id AND e.Name = 'ServiceCenter') GROUP BY u.Tenant_Id ORDER BY COUNT (1) DESC) WHERE ROWNUM = 1) WHERE groupTenantId = (SELECT t.Id FROM ossys_Tenant t INNER JOIN ossys_Espace e ON t.espace_Id = e.id AND e.Name = 'ServiceCenter') OR groupTenantId = 0;
/

ALTER TABLE ossys_Group_Role DISABLE ALL TRIGGERS;
DELETE FROM ossys_Group_Role WHERE Id NOT IN (SELECT max(ossys_Group_Role.id) from ossys_Group_Role INNER JOIN ossys_Group ON ossys_Group_Role.Group_Id = ossys_Group.Id group by ossys_Group_Role.Group_Id, ossys_Group_Role.Role_Id, ossys_Group.Tenant_Id);
UPDATE ( SELECT ossys_Group_Role.Tenant_Id groupRoleTenantId, ossys_Group.Tenant_Id groupTenantId FROM ossys_Group_Role INNER JOIN ossys_Group ON ossys_Group_Role.Group_Id = ossys_Group.Id ) SET groupRoleTenantId = groupTenantId
ALTER TABLE ossys_Group_Role ENABLE ALL TRIGGERS;
/ 

-- %COLUMN_NOT_EXISTS% = "ossys_app_definition_Module.application_id"
DECLARE v_exists NUMBER(10,0); BEGIN SELECT Count(*) INTO v_exists FROM USER_TABLES WHERE TABLE_NAME = 'ossys_app_definition_Module'; IF v_exists = 1 THEN BEGIN EXECUTE IMMEDIATE 'ALTER TABLE ossys_app_definition_Module ADD application_id NUMBER(10,0) default(0) NOT NULL';END; END IF; END;
/
-- %END_IGNORING_BLOCK%
/

-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.UpgradeAppDefinition"
/
-- %END_IGNORING_BLOCK%

-- %COLUMN_EXISTS% = "OSSYS_APP_DEFINITION_MODULE.APP_DEFINITION_ID"
ALTER TABLE OSSYS_APP_DEFINITION_MODULE DROP COLUMN APP_DEFINITION_ID;
/
-- %END_IGNORING_BLOCK%

-- %TABLE_EXISTS% = "OSSYS_APP_DEFINITION"
DROP TABLE ossys_APP_DEFINITION
/
-- %END_IGNORING_BLOCK%


UPDATE OSSYS_PARAMETER SET Name='PlatformServices.DebugMode' WHERE Name='PlatformServicesDebug' ;
/

-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.ConvertLifetimePropertiesToParameters"
/

UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_msisdn' where Name = 'Msisdn_Tenant';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_Email_Cont' where Name = 'Email_Content';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_Persist_Log' where Name = 'Persistent_Login';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'oslog_web_ref' where Name = 'Log_Web_Reference';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_UserEffRole' where Name = 'User_Effective_Role';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_virtual_num' where Name = 'Virtual_Number';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_site_prop' where Name = 'Site_Property';
UPDATE OSSYS_ENTITY SET Base_View_Name = 'ossys_User_Role' where Name = 'User_Role';

/
-- %TABLE_EXISTS% = "OSSYS_TENANT_VIEW"
DELETE FROM OSSYS_TENANT_VIEW ;
/

-- %VERSION_UPGRADE% = "7.9.0.1"
UPDATE OSSYS_PARAMETER SET Val='7.9.0.1' WHERE name='lastupgradeversion'; 
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_BPM_PROCESS_INPUT DROP COLUMN ACTIVITY_ID cascade constraints'; EXCEPTION WHEN OTHERS THEN NULL; END;
/
BEGIN EXECUTE IMMEDIATE 'ALTER TABLE OSSYS_BPM_PROCESS_INPUT_DEF DROP COLUMN ACTIVITY_DEF_ID cascade constraints'; EXCEPTION WHEN OTHERS THEN NULL; END;
/

-- %VERSION_UPGRADE% = "7.9.0.6" 

-- %TABLE_EXISTS% = "OSSYS_CALLBACK_URL"
BEGIN EXECUTE IMMEDIATE 'RENAME ossys_Callback_URL TO ossys_Callback'; END;
UPDATE ossys_entity SET physical_table_name = 'ossys_Callback' where lower(physical_table_name) = 'ossys_callback_url';
CREATE VIEW OSSYS_CALLBACK_URL AS SELECT * FROM OSSYS_CALLBACK;
grant select,insert,delete,update on OSSYS_CALLBACK_URL to hubruntime;
/

-- %END_IGNORING_BLOCK%
/

-- %VERSION_UPGRADE% = "7.9.0.12" 

-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.GENERALHASH"
ALTER TABLE OSSYS_ESPACE_VERSION ADD GENERALHASH varchar(100) NULL ;
/
-- %COLUMN_NOT_EXISTS% = "ossys_Extension_Dependency.Extension_Version_Id"
ALTER TABLE OSSYS_EXTENSION_DEPENDENCY ADD EXTENSION_VERSION_ID NUMBER (10,0);
/
-- %BEGIN_STATEMENT%
UPDATE (
  SELECT OSSYS_EXTENSION_DEPENDENCY.EXTENSION_VERSION_ID, OSSYS_EXTENSION.VERSION_ID
  FROM OSSYS_EXTENSION
      INNER JOIN OSSYS_EXTENSION_DEPENDENCY
      ON (OSSYS_EXTENSION_DEPENDENCY.EXTENSION_ID = OSSYS_EXTENSION.ID)
) SET EXTENSION_VERSION_ID = VERSION_ID;
-- %END_STATEMENT%
/
-- %END_IGNORING_BLOCK%

UPDATE OSSYS_EXTENSION_DEPENDENCY SET OSSYS_EXTENSION_DEPENDENCY.FILE_CONTENT = NULL;
/
-- %VERSION_UPGRADE% = "7.9.1.0" 
UPDATE OSSYS_PARAMETER SET Val='7.9.1.0' WHERE name='lastupgradeversion';
/
-- %COLUMN_NOT_EXISTS% = "OSSYS_WEB_SERVICE.COMPATIBILITY_MODE"
ALTER TABLE OSSYS_WEB_SERVICE ADD COMPATIBILITY_MODE NUMBER(1,0) DEFAULT 0;
/
-- %END_IGNORING_BLOCK%
UPDATE OSSYS_WEB_SERVICE SET COMPATIBILITY_MODE=1;
/
-- %VERSION_UPGRADE% = "7.9.2.0" 
UPDATE OSSYS_PARAMETER SET Val='7.9.2.0' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "7.9.3.0" 
UPDATE OSSYS_PARAMETER SET Val='7.9.3.0' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "7.9.3.1" 
CREATE OR REPLACE VIEW OSLOG_SCREEN_PREVIOUS AS SELECT * FROM OSLOG_SCREEN_9;
grant select,insert,delete,update on OSLOG_SCREEN_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_SCREEN_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_ERROR_PREVIOUS AS SELECT * FROM OSLOG_ERROR_9;
grant select,insert,delete,update on OSLOG_ERROR_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_ERROR_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_SMS_PREVIOUS AS SELECT * FROM OSLOG_SMS_9;
grant select,insert,delete,update on OSLOG_SMS_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_SMS_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_CYCLIC_JOB_PREVIOUS AS SELECT * FROM OSLOG_CYCLIC_JOB_9;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_CYCLIC_JOB_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_GENERAL_PREVIOUS AS SELECT * FROM OSLOG_GENERAL_9;
grant select,insert,delete,update on OSLOG_GENERAL_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_GENERAL_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_WEB_SERVICE_PREVIOUS AS SELECT * FROM OSLOG_WEB_SERVICE_9;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_WEB_SERVICE_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_WEB_REFERENCE_PREVIOUS AS SELECT * FROM OSLOG_WEB_REFERENCE_9;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_WEB_REFERENCE_PREVIOUS to hubruntime;
/
CREATE OR REPLACE VIEW OSLOG_EXTENSION_PREVIOUS AS SELECT * FROM OSLOG_EXTENSION_9;
grant select,insert,delete,update on OSLOG_EXTENSION_PREVIOUS to hublog;
grant select,insert,delete,update on OSLOG_EXTENSION_PREVIOUS to hubruntime;
/
-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.UpdatePreviousLogViews"
/
-- %VERSION_UPGRADE% = "7.9.3.2" 
-- %COLUMN_NOT_EXISTS% = "OSSYS_ESPACE_VERSION.JQUERYVERSION"
ALTER TABLE OSSYS_ESPACE_VERSION ADD JQUERYVERSION VARCHAR2(15) DEFAULT ' ';
-- %END_IGNORING_BLOCK%
/
ALTER TABLE OSSYS_ESPACE_VERSION  MODIFY (JQUERYVERSION VARCHAR2(15 CHAR) );
/
UPDATE OSSYS_ESPACE_VERSION SET JQUERYVERSION = 'JQuery142' WHERE JQUERYVERSION IS NULL or JQUERYVERSION = ' '
/
-- %VERSION_UPGRADE% = "8.0.0.0" 
UPDATE OSSYS_PARAMETER SET Val='8.0.0.0' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "8.0.0.4" 
-- %SPECIFIC_UPGRADE% = "SpecificUpgrades.UpgradeLifeTimeTables"

/
-- %VERSION_UPGRADE% = "8.0.0.5" 
UPDATE OSSYS_PARAMETER SET Val = 'http://hubedition.outsystems.net/issues/outsystems/Issues.asmx' WHERE name='submitseviceurl';
/


-- %VERSION_UPGRADE% = "8.0.0.13"
-- %BEGIN_STATEMENT%
CREATE OR REPLACE PROCEDURE DEQUEUE_OSSYS_EVENT(BatchSize IN NUMBER, Ip IN VARCHAR2, NullDate IN TIMESTAMP, ActivityId IN NUMBER, RecordSet OUT SYS_REFCURSOR) AS
    v_DequeueTime TIMESTAMP := GETDATE();
    v_LockHandle VARCHAR2(128);

    CURSOR MessageCursor IS
        SELECT ID, ESPACE_ID, TENANT_ID, ACTIVITY_ID, PROCESS_DEF_ID, DATA_ID, ENQUEUE_TIME, NEXT_RUN
        FROM OSSYS_BPM_EVENT_QUEUE
        WHERE DEQUEUE_TIME IS NULL 
              AND NEXT_RUN <= v_DequeueTime
              AND OSSYS_BPM_EVENT_QUEUE.ID IN (SELECT q.ID
                                               FROM OSSYS_BPM_EVENT_QUEUE q
                                               INNER JOIN OSSYS_ESPACE espace ON q.ESPACE_ID = espace.ID AND espace.IS_ACTIVE = 1 AND espace.IS_LOCKED = 0
                                               LEFT JOIN OSSYS_ESPACE_RUNTIME runtime ON runtime.ESPACE_ID = q.ESPACE_ID
                                               LEFT JOIN OSSYS_TENANT tenant ON q.TENANT_ID = tenant.Id
                                               LEFT JOIN OSSYS_BPM_ACTIVITY act ON q.ACTIVITY_ID = act.Id
                                               LEFT JOIN OSSYS_BPM_PROCESS process ON act.PROCESS_ID = process.Id
                                               INNER JOIN OSSYS_BPM_PROCESS_DEFINITION processDef ON (process.PROCESS_DEF_ID = processDef.ID OR q.PROCESS_DEF_ID = processDef.ID) AND processDef.IS_LOCKED = 0 AND processDef.IS_ACTIVE = 1
                                               WHERE (runtime.Id IS NULL OR runtime.Disabled = 0) 
                                               		 AND (tenant.ID IS NULL OR tenant.IS_ACTIVE = 1)
                                                     AND (espace.ZONE_ID IS NULL OR Ip = '' OR espace.ZONE_ID IN (SELECT OSSYS_ZONE_SERVER.ZONE_ID from OSSYS_ZONE_SERVER JOIN OSSYS_SERVER on OSSYS_ZONE_SERVER.SERVER_ID = OSSYS_SERVER.ID and OSSYS_SERVER.IP_ADDRESS = Ip))
                                                     AND (act.ID IS NULL OR ((act.IS_RUNNING_SINCE IS NULL Or act.IS_RUNNING_SINCE = NullDate) AND process.STATUS_ID = 1))
                                              )
              AND ROWNUM <= BatchSize
              AND (ActivityId = 0 OR ACTIVITY_ID = ActivityId)
        ORDER BY NEXT_RUN ASC
        FOR UPDATE SKIP LOCKED;

    v_record OSSYS_BPM_EVENT_QUEUE_TMP%ROWTYPE;
BEGIN
    OPEN MessageCursor;
    LOOP
        FETCH MessageCursor INTO v_record;
        EXIT WHEN MessageCursor%NOTFOUND;

        INSERT INTO OSSYS_BPM_EVENT_QUEUE_TMP VALUES v_record;
    END LOOP;
    CLOSE MessageCursor;

    UPDATE OSSYS_BPM_EVENT_QUEUE SET DEQUEUE_TIME = v_DequeueTime
    WHERE OSSYS_BPM_EVENT_QUEUE.ID IN (SELECT ID FROM OSSYS_BPM_EVENT_QUEUE_TMP);

    OPEN RecordSet FOR
        SELECT t.ID, 
               t.ESPACE_ID,
               COALESCE(act.Tenant_Id, t.Tenant_Id) TENANT_ID,
               t.ACTIVITY_ID,
               act.PROCESS_ID,
               t.PROCESS_DEF_ID,
               t.DATA_ID DATA_ID,
               ROUND(to_date(to_char(t.ENQUEUE_TIME,'YYYY-MM-DD'),'YYYY-MM-DD') - to_date(to_char(GETDATE(),'YYYY-MM-DD'),'YYYY-MM-DD')) DAYS_SINCE_QUEUED, 
               espace.NAME ESPACE_NAME,
               espace.IS_MULTITENANT,
               tenant.NAME TENANT_NAME,
               act_def.ss_key ACTIVITY_KEY,
               pdef.ss_key PROCESS_DEF_KEY,
               (SELECT 1 FROM DUAL
			    WHERE act.Tenant_Id IS NOT NULL OR t.Tenant_Id IS NULL OR (t.Tenant_Id IS NOT NULL AND
			      EXISTS(SELECT 1 from ossys_espace_tenant et
					     WHERE et.Espace_Id = espace.id and et.Tenant_Id = t.Tenant_Id))) valid_tenant
        FROM OSSYS_BPM_EVENT_QUEUE_TMP t
             INNER JOIN OSSYS_ESPACE espace ON t.ESPACE_ID = espace.ID
             LEFT JOIN OSSYS_TENANT tenant ON t.TENANT_ID = tenant.ID
             LEFT JOIN OSSYS_BPM_ACTIVITY act ON t.Activity_Id = act.ID
             LEFT JOIN OSSYS_BPM_ACTIVITY_DEFINITION act_def ON act.ACTIVITY_DEF_ID = act_def.ID
             LEFT JOIN OSSYS_BPM_PROCESS_DEFINITION pdef ON t.PROCESS_DEF_ID = pdef.ID;

END;
-- %END_STATEMENT%
GRANT EXECUTE ON DEQUEUE_OSSYS_EVENT TO hubruntime;
/


-- %VERSION_UPGRADE% = "8.0.0.16"
-- %BEGIN_STATEMENT%
CREATE OR REPLACE PROCEDURE DEQUEUE_OSSYS_EMAIL_STATUS_V2 (BatchSize IN NUMBER, Ip IN VARCHAR2, NullDate IN TIMESTAMP, RecoverIntervalInMins IN NUMBER, RecordSet OUT SYS_REFCURSOR) AS
    v_CurrentDate TIMESTAMP := GETDATE();

    CURSOR MessageCursor IS
        SELECT ID
        FROM OSSYS_EMAIL_STATUS
        WHERE (IS_RUNNING_SINCE IS NULL Or IS_RUNNING_SINCE = NullDate or round(( to_date(to_char(GETDATE(),'YYYY-MM-DD HH24:MI'),'YYYY-MM-DD HH24:MI') - to_date(to_char(IS_RUNNING_SINCE,'YYYY-MM-DD HH24:MI'),'YYYY-MM-DD HH24:MI') ) * 1440) >= RecoverIntervalInMins)
              AND NEXT_RUN <= v_CurrentDate AND NEXT_RUN IS NOT NULL
              AND ROWNUM <= BatchSize
        ORDER BY Next_Run ASC
    FOR UPDATE SKIP LOCKED;

    v_record OSSYS_EMAIL_STATUS_TMP%ROWTYPE;
BEGIN
    OPEN MessageCursor;
    LOOP
        FETCH MessageCursor INTO v_record;
        EXIT WHEN MessageCursor%NOTFOUND;
        INSERT INTO OSSYS_EMAIL_STATUS_TMP VALUES v_record;
    END LOOP;

    UPDATE OSSYS_EMAIL_STATUS SET IS_RUNNING_SINCE = v_CurrentDate
    WHERE OSSYS_EMAIL_STATUS.ID IN (SELECT ID FROM OSSYS_EMAIL_STATUS_TMP);

    OPEN RecordSet FOR
        SELECT Id
        FROM OSSYS_EMAIL_STATUS_TMP;
END;
-- %END_STATEMENT%
GRANT EXECUTE ON DEQUEUE_OSSYS_EMAIL_STATUS_V2 TO hubruntime;
/

-- %VERSION_UPGRADE% = "8.0.1.3" 
UPDATE OSSYS_PARAMETER SET Val='8.0.1.3' WHERE name='lastupgradeversion'; 
/

-- %VERSION_UPGRADE% = "8.0.1.8" 
-- %COLUMN_NOT_EXISTS% = "OSSYS_BPM_PROCESS_DEFINITION.LOCKED_DATE"
ALTER TABLE OSSYS_BPM_PROCESS_DEFINITION ADD (LOCKED_DATE TIMESTAMP DEFAULT to_timestamp('1900-01-01 00:00:00','YYYY-MM-DD HH24:MI:SS'));
/
-- %END_IGNORING_BLOCK%

-- %COLUMN_NOT_EXISTS% = "OSSYS_BPM_PROCESS_DEFINITION.LOCKED_BY"
ALTER TABLE OSSYS_BPM_PROCESS_DEFINITION ADD (LOCKED_BY NUMBER(10) DEFAULT NULL);
/
-- %END_IGNORING_BLOCK%


-- %TABLE_NOT_EXISTS% = "OSSYS_ESPACE_OBJECT_COUNT"
CREATE TABLE OSSYS_ESPACE_OBJECT_COUNT(ID NUMBER(10,0) NOT NULL, ESPACE_VERSION_ID NUMBER(10,0) NOT NULL, OBJ_KIND VARCHAR2 (50) NOT NULL, OBJ_COUNT NUMBER(10,0) NOT NULL) TABLESPACE "OSSYS";
/
CREATE SEQUENCE OSSEQ_ESPACE_OBJECT_COUNT MINVALUE 1 MAXVALUE 999999999 START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
/
CREATE TRIGGER OSTRG_ESPACE_OBJECT_COUNT BEFORE INSERT ON OSSYS_ESPACE_OBJECT_COUNT FOR EACH ROW BEGIN IF :new.ID IS NULL THEN SELECT oshe_globals.setidentity(OSSEQ_ESPACE_OBJECT_COUNT.nextval) INTO :new.ID FROM dual; END IF; END;
/
grant select,insert,delete,update on OSSYS_ESPACE_OBJECT_COUNT to hubruntime;
/
-- %END_IGNORING_BLOCK%
 
-- %TOUCH_VERSION% = "..."
insert into ossys_parameter(name,val) values ('version', '8.0.1.70');
insert into oslog_parameter(name,val) values ('version', '8.0.1.70');
COMMIT;
EXIT;
